=== modified file 'CHANGELOG'
--- CHANGELOG	2010-10-11 15:54:28 +0000
+++ CHANGELOG	2010-10-31 11:38:06 +0000
@@ -1,5 +1,14 @@
 $$title: Changelog
 
+### 0.3.5
+2010-10-30
+
+  * Minor bugfixes [(lp:625095)](https://bugs.launchpad.net/pithos/+bug/625095) [(lp:628923)](https://bugs.launchpad.net/pithos/+bug/628923) [(lp:626980)](https://bugs.launchpad.net/pithos/+bug/626980) 
+  * Run properly on multi-user systems [(lp:667896)](https://bugs.launchpad.net/pithos/+bug/667896)
+  * Screensaver pause plugin (by Matthew Gregg)
+  * Integrate volume control with PulseAudio [(lp:650515)](https://bugs.launchpad.net/pithos/+bug/650515)
+  * New Pandora encryption keys [(lp:655507)](https://bugs.launchpad.net/pithos/+bug/625095)
+
 ### 0.3.1
 2010-08-26
 

=== modified file 'bin/pithos'
--- bin/pithos	2010-10-11 15:54:28 +0000
+++ bin/pithos	2010-10-31 11:38:06 +0000
@@ -47,7 +47,7 @@
 sys.path.insert(0, os.path.dirname(fullPath))
 
 from pithos import AboutPithosDialog, PreferencesPithosDialog, StationsDialog
-from pithos.pithosconfig import getdatapath, VERSION
+from pithos.pithosconfig import get_data_file, getdatapath, VERSION
 from pithos.gobject_worker import GObjectWorker
 from pithos.plugin import load_plugins
 from pithos.dbus_service import PithosDBusProxy, try_to_raise
@@ -176,7 +176,8 @@
         #                                   Station object         station name
         self.stations_model = gtk.ListStore(gobject.TYPE_PYOBJECT, str)
     
-        self.player = gst.element_factory_make("playbin", "player")
+        self.player = gst.element_factory_make("playbin2", "player")
+        #self.player.props.flags |= (1 << 7) # enable progressive download
         bus = self.player.get_bus()
         bus.add_signal_watch()
         bus.connect("message", self.on_message)
@@ -206,6 +207,10 @@
         self.default_album_art = aa.scale_simple(ALBUM_ART_SIZE, ALBUM_ART_SIZE, gtk.gdk.INTERP_BILINEAR)
         
     def init_ui(self):
+        gobject.set_application_name("Pithos")
+        gtk.window_set_default_icon_name('pithos')
+        os.environ['PULSE_PROP_media.role'] = 'music'
+        
         self.playpause_button = self.builder.get_object('playpause_button')
         
         self.volume = self.builder.get_object('volume')
@@ -363,11 +368,7 @@
         self.start_song(self.current_song_index + 1)
         
     def user_play(self, *ignore):
-        if not self.current_song.is_still_valid():
-            self.current_song.message = "Playlist expired"
-            self.next_song()
-        else:
-            self.play()
+        self.play()
         self.emit('user-changed-play-state', True)
         
     def play(self):
@@ -646,10 +647,7 @@
                 self.start_song(self.selected_song().index)
                 
     def on_volume_change_event(self, volumebutton, value):
-        try:
-            self.player.get_by_name('volume').set_property("volume", value)
-        except:
-            self.player.set_property("volume", value)
+        self.player.set_property("volume", value)
         self.preferences['volume'] = value
     
     def station_properties(self, *ignore):
@@ -727,7 +725,7 @@
 
 if __name__ == "__main__":
     import logging, optparse
-    parser = optparse.OptionParser(version="%prog %ver")
+    parser = optparse.OptionParser(version="Pithos %s"%(VERSION))
     parser.add_option("-v", "--verbose", action="store_true", dest="verbose", help="Show debug messages")
     parser.add_option("-t", "--test", action="store_true", dest="test", help="Use a mock web interface instead of connecting to the real Pandora server")
     (options, args) = parser.parse_args()
@@ -735,21 +733,12 @@
     if not options.test and try_to_raise():
         print "Raised existing Pithos instance"
     else:
-        logging.basicConfig(level=logging.DEBUG, format="%(asctime)s %(levelname)s - %(module)s:%(funcName)s:%(lineno)d - %(message)s",
-            filename='/tmp/pithos.debug.log', filemode='w')
-        
-        console = logging.StreamHandler()
-        
-        formatter = logging.Formatter('%(levelname)s - %(module)s:%(funcName)s:%(lineno)d - %(message)s')
-        console.setFormatter(formatter)
-        
-        logging.getLogger('').addHandler(console)
-
+        
         #set the logging level to show debug messages
         if options.verbose:
-            console.setLevel(logging.INFO)
+            logging.basicConfig(level=logging.INFO, format='%(levelname)s - %(module)s:%(funcName)s:%(lineno)d - %(message)s')
         else:
-            console.setLevel(logging.WARNING)
+            logging.basicConfig(level=logging.WARNING)
             
         logging.info("Pithos %s"%VERSION)
             

=== modified file 'data/ui/PreferencesPithosDialog.ui'
--- data/ui/PreferencesPithosDialog.ui	2010-10-11 15:54:28 +0000
+++ data/ui/PreferencesPithosDialog.ui	2010-10-31 11:38:06 +0000
@@ -18,7 +18,7 @@
         <child>
           <object class="GtkTable" id="table1">
             <property name="visible">True</property>
-            <property name="n_rows">11</property>
+            <property name="n_rows">12</property>
             <property name="n_columns">3</property>
             <property name="column_spacing">5</property>
             <property name="row_spacing">5</property>
@@ -135,6 +135,22 @@
               </packing>
             </child>
             <child>
+              <object class="GtkCheckButton" id="checkbutton_screensaverpause">
+                <property name="label" translatable="yes">Pause when screensaver is active</property>
+                <property name="visible">True</property>
+                <property name="can_focus">True</property>
+                <property name="receives_default">False</property>
+                <property name="active">True</property>
+                <property name="draw_indicator">True</property>
+              </object>
+              <packing>
+                <property name="left_attach">1</property>
+                <property name="right_attach">4</property>
+                <property name="top_attach">9</property>
+                <property name="bottom_attach">10</property>
+              </packing>
+            </child>
+            <child>
               <object class="GtkLabel" id="label5">
                 <property name="visible">True</property>
                 <property name="label" translatable="yes">&lt;small&gt;&lt;a href='http://pandora.com'&gt;Create an account at pandora.com&lt;/a&gt;&lt;/small&gt;</property>
@@ -199,8 +215,8 @@
               </object>
               <packing>
                 <property name="right_attach">3</property>
-                <property name="top_attach">9</property>
-                <property name="bottom_attach">10</property>
+                <property name="top_attach">10</property>
+                <property name="bottom_attach">11</property>
               </packing>
             </child>
             <child>
@@ -213,8 +229,8 @@
               <packing>
                 <property name="left_attach">1</property>
                 <property name="right_attach">3</property>
-                <property name="top_attach">10</property>
-                <property name="bottom_attach">11</property>
+                <property name="top_attach">11</property>
+                <property name="bottom_attach">12</property>
               </packing>
             </child>
             <child>

=== added file 'debug'
--- debug	1970-01-01 00:00:00 +0000
+++ debug	2010-10-31 11:38:06 +0000
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+if [ -z "$@" ]; then
+	args="--test --verbose"
+else
+	args=$@
+fi
+
+mkdir -p debug_config
+export XDG_CONFIG_HOME="./debug_config"
+
+./bin/pithos $args

=== modified file 'pithos/PreferencesPithosDialog.py'
--- pithos/PreferencesPithosDialog.py	2010-10-11 15:54:28 +0000
+++ pithos/PreferencesPithosDialog.py	2010-10-31 11:38:06 +0000
@@ -75,13 +75,14 @@
             "show_icon": False,
             "lastfm_key": False,
             "enable_mediakeys":True,
+            "enable_screensaverpause":False,
             "volume": 1.0,
         }
         
         try:
             f = open(configfilename)
         except IOError:
-            return
+            f = []
         
         for line in f:
             sep = line.find('=')
@@ -104,6 +105,7 @@
         self.builder.get_object('prefs_password').set_text(self.__preferences["password"])
         self.builder.get_object('prefs_proxy').set_text(self.__preferences["proxy"])
         self.builder.get_object('checkbutton_notify').set_active(self.__preferences["notify"])
+        self.builder.get_object('checkbutton_screensaverpause').set_active(self.__preferences["enable_screensaverpause"])
         self.builder.get_object('checkbutton_icon').set_active(self.__preferences["show_icon"])
         
         self.lastfm_auth = LastFmAuth(self.__preferences, "lastfm_key", self.builder.get_object('lastfm_btn'))
@@ -117,6 +119,7 @@
         self.__preferences["password"] = self.builder.get_object('prefs_password').get_text()
         self.__preferences["proxy"] = self.builder.get_object('prefs_proxy').get_text()
         self.__preferences["notify"] = self.builder.get_object('checkbutton_notify').get_active()
+        self.__preferences["enable_screensaverpause"] = self.builder.get_object('checkbutton_screensaverpause').get_active()
         self.__preferences["show_icon"] = self.builder.get_object('checkbutton_icon').get_active()
         
         self.save()
@@ -126,7 +129,7 @@
         Called before the dialog returns gtk.RESPONSE_CANCEL for run()
         """
 
-        #restore any changes to self.__preferences here
+        self.setup_fields() # restore fields to previous values
         pass
             
 

=== modified file 'pithos/pandora/pandora.py'
--- pithos/pandora/pandora.py	2010-10-11 15:54:28 +0000
+++ pithos/pandora/pandora.py	2010-10-31 11:38:06 +0000
@@ -21,7 +21,7 @@
 from pithos.pandora.xmlrpc import *
 from pithos.pandora.blowfish import Blowfish
 
-PROTOCOL_VERSION = "27"
+PROTOCOL_VERSION = "28"
 RPC_URL = "http://www.pandora.com/radio/xmlrpc/v"+PROTOCOL_VERSION+"?"
 USER_AGENT = "Pithos/0.2"
 HTTP_TIMEOUT = 30

=== modified file 'pithos/pandora/pandora_keys.py'
--- pithos/pandora/pandora_keys.py	2010-10-11 15:54:28 +0000
+++ pithos/pandora/pandora_keys.py	2010-10-31 11:38:06 +0000
@@ -1,541 +1,369 @@
 # taken from pianobar
 
 out_key_p  = [
-		0xC10590ECL, 0xBA979EE1L, 0x04EEE520L, 0x759C8C59L,
-		0x22804BA7L, 0x7C46EB7AL, 0x21ACF684L, 0xB9A7B8E7L,
-		0xBEED610AL, 0xDB325139L, 0xDF84AD90L, 0x31FB85C8L,
-		0xA5468088L, 0x7241BC17L, 0xD6E88A88L, 0xA375F4A4L,
-		0x223BF5EFL, 0xEDA2CDB5L,
-		]
+0xA8C2B074L, 0x04EBC85BL, 0x014C6C28L, 0x7459BFA9L, 0x279C0727L, 0xE1CB918EL,
+0xA62CD534L, 0xAAC40A16L, 0x5B8135BDL, 0xA8B52D3BL, 0x666C7F54L, 0x2FE61767L,
+0x25CAB584L, 0x8F84A1C5L, 0x2C8160F3L, 0x9AFFC1A2L, 0xE9CCA78EL, 0x94660E31L,
+]
 
 out_key_s = [[
-		0x9654C859L, 0x909BC929L, 0x6C13EA8EL, 0xFB78C4F8L,
-		0xA1DD8C99L, 0x9C04168AL, 0x2A43D4A9L, 0x52BE439BL,
-		0x10040365L, 0x422C267DL, 0x5210312EL, 0x0AD6D8ECL,
-		0x14814E6FL, 0xAB8A7E9FL, 0x981A1DBAL, 0x6C7EC03DL,
-		0xA4DBEB04L, 0x1BEC8694L, 0x30FDF157L, 0x5C903DD3L,
-		0xFEC8D421L, 0x32949BEEL, 0x089C0351L, 0x0F678350L,
-		0xD71DEB51L, 0x3DC9F297L, 0xD0AD6F45L, 0x0909CB0EL,
-		0x37EE1700L, 0xF1522308L, 0x7A117A9AL, 0x21606DDEL,
-		0x0F69ED07L, 0x1D2A8FE0L, 0xEF95F5ADL, 0xA1F8C13CL,
-		0x10480D0DL, 0x2B1914BEL, 0x19071638L, 0xC75AF34FL,
-		0x65CABBB2L, 0x4CA28F5EL, 0xA6264839L, 0x7623BEA7L,
-		0x24DFBDA6L, 0x7CFC1117L, 0xDF916C8FL, 0x6ABF9E8FL,
-		0x2C9E8F85L, 0x03B9ECF6L, 0x39CFFD8FL, 0x302A0460L,
-		0xE28543C0L, 0x37EA897BL, 0x36E025E3L, 0xD4620943L,
-		0x4F5CA829L, 0x8F33310FL, 0x730F4503L, 0x8052DB67L,
-		0x2E0B8A1DL, 0x91195FFBL, 0x2A49B357L, 0x3578D2ECL,
-		0x8F2BC8CEL, 0x197D2ED1L, 0xBB5B1B11L, 0x3B02F424L,
-		0x8DE5D13AL, 0x2F4C7F70L, 0xE66AB0CFL, 0xDF93C57BL,
-		0x48B52549L, 0x735CB3FCL, 0x6FA34C40L, 0xEABD8238L,
-		0xD5FB57D5L, 0xB574BEFAL, 0x7AF7D0E9L, 0x30D82D91L,
-		0x3DC52795L, 0x9A66F1C5L, 0x1014D6D7L, 0x1619B896L,
-		0xA465E2D6L, 0x0DEF33EDL, 0x213BB77DL, 0x65B1A904L,
-		0x964751B0L, 0x5335C857L, 0xF72060E0L, 0x579458DBL,
-		0xA33556FEL, 0x8D41DD66L, 0x7165D4F8L, 0x261D183EL,
-		0xD55FF261L, 0xBFC3852BL, 0xEB4050C3L, 0xF500FC86L,
-		0x19E25B41L, 0x5A366B1AL, 0xDEBCB9ACL, 0xF3E2D6D0L,
-		0x4DE3EE3AL, 0x2579418DL, 0xE94C1BC9L, 0x39ABD007L,
-		0xEEBF9405L, 0x3E091753L, 0x8757A7E7L, 0x66456984L,
-		0xE1AD1E6BL, 0x0C76A1B8L, 0xDFBFA09EL, 0x67431807L,
-		0x9B8E1496L, 0x038FDE39L, 0xA9656FF5L, 0x48A6C2F9L,
-		0x2A531F33L, 0xE6213074L, 0xE1E98733L, 0x42BECE69L,
-		0xD1F77AD7L, 0xC8EE6C6CL, 0x221F337FL, 0x37D93CE7L,
-		0x94E6954FL, 0x98557669L, 0xB78ADEA9L, 0xC97DB869L,
-		0x99BB9FF9L, 0x7B245A04L, 0xB56E2F44L, 0x6DE4945EL,
-		0xD5C550E9L, 0xE2406878L, 0x9178BEC4L, 0xA1CEEF70L,
-		0x6A543D9BL, 0x5DF98E33L, 0x1801A7B3L, 0x1E9B8C86L,
-		0x5501FBE1L, 0xC7E53071L, 0x94855AD1L, 0x550E1997L,
-		0x260C8E5AL, 0xA40F1E26L, 0x55CDE2B4L, 0x55C7850CL,
-		0x5A6FC9D3L, 0x8ED207BFL, 0x3BA77DFEL, 0x2505DED6L,
-		0x0CF49779L, 0x57F557C6L, 0x59474010L, 0x638BA8A2L,
-		0x4D82F6EBL, 0x677D6829L, 0x44C2CFC1L, 0xD2C006A7L,
-		0x21D5BE8EL, 0x5D8442D1L, 0x6174F23FL, 0xE2AA0EF3L,
-		0x54328E77L, 0x046A7983L, 0x6523470BL, 0x2CCCDB19L,
-		0x6683ABA1L, 0x191B22A4L, 0x53131029L, 0x1BE73145L,
-		0x27C1F557L, 0xA819BDA8L, 0x3E47B139L, 0xBE3C46ACL,
-		0x42C59203L, 0x92C6FD74L, 0x491AA43AL, 0x1AD367C3L,
-		0x628A99C8L, 0x3051E88EL, 0x67C54A0DL, 0xAA278070L,
-		0x35776A31L, 0x97557DE3L, 0x4B84E68FL, 0x187A039FL,
-		0xFD0DB4BCL, 0x0F4C4286L, 0xBA4F54FCL, 0xCBBC90C3L,
-		0x0F269800L, 0xB78EC21BL, 0x1C97FE3AL, 0xA808792CL,
-		0x7B658426L, 0x81590C6CL, 0xC7890561L, 0x8A07080EL,
-		0x9D99E5E4L, 0xC3929BC4L, 0x31E5D06AL, 0x97A82A07L,
-		0xC7A53A0EL, 0x68596FAFL, 0x02F8D609L, 0x14E256EBL,
-		0xFFE202E1L, 0xFB13E18FL, 0x21B1DB15L, 0x354080D6L,
-		0x777FED00L, 0xE6C89DC5L, 0x711A18F6L, 0x40C8E33BL,
-		0x709E7E2DL, 0x359C6507L, 0x56CB9F2CL, 0x92B8A949L,
-		0x87E360F2L, 0xC19CCB2EL, 0x623B905CL, 0x019F36D0L,
-		0x7AE0EC6BL, 0x2C903F89L, 0xDB621170L, 0x2EF6B8C6L,
-		0x6656BA25L, 0xF915180CL, 0xCDEE1BD7L, 0x85E38EDBL,
-		0x7A9AC026L, 0xCA917632L, 0xFCFDDC64L, 0x5C3A7D51L,
-		0x71DA7223L, 0xA8D48E72L, 0x2A3BA8E0L, 0x710919D3L,
-		0xAB50A080L, 0xD6228237L, 0xB41B7A76L, 0xD82B39F5L,
-		0x1E922C3FL, 0x6656D136L, 0x4A8473A7L, 0xA82AEE63L,
-		0xDF451C42L, 0x62E2AE0EL, 0xECA484F3L, 0x1EBF64B5L,
-		], [
-		0xF5CF4FEFL, 0xA6EAEDC5L, 0x3E59980DL, 0xC8F3911CL,
-		0x9490F545L, 0x053579EBL, 0x5645E167L, 0x2015A54BL,
-		0xEA2F52D0L, 0xBB28B315L, 0x1B907EF4L, 0x9C841317L,
-		0xD03F498FL, 0x57045C47L, 0x992D554DL, 0x9D801A54L,
-		0x1638D6B3L, 0x088C1854L, 0xA74D1549L, 0xFD2B5787L,
-		0xFBE12709L, 0x0432BB66L, 0x880BCD01L, 0xB9065D9EL,
-		0x1C2FB7B5L, 0xD27DA333L, 0x8A3D4436L, 0x7310F49EL,
-		0x128BE54FL, 0x772B8A37L, 0x55579A3CL, 0xBC75F552L,
-		0x38EB2E19L, 0x7C356617L, 0x1DE8D4C2L, 0xD0E43CDFL,
-		0xD46044DDL, 0x252685EFL, 0x24051EE5L, 0x5B6BD82EL,
-		0x495B6F47L, 0x39E52934L, 0x31B81CDDL, 0x001487D6L,
-		0xC2B8B92BL, 0x8B8A0F1BL, 0xDB763075L, 0xE8FC685FL,
-		0x9C3BD739L, 0x60E6A1FCL, 0xB628A9A6L, 0x0CD27CAAL,
-		0x950A56F4L, 0x88691D4EL, 0xFCB51D66L, 0xDEB6D9B1L,
-		0xB25625F6L, 0x75C1D492L, 0x36D4A98CL, 0x9C5AC60DL,
-		0xF2AD970BL, 0x7E096239L, 0x6C5D1C4EL, 0x0440BEF8L,
-		0x2855E769L, 0x35442FEBL, 0x525D6F15L, 0xA0D85345L,
-		0x14AC130FL, 0x640B6DB5L, 0x15FF503EL, 0x7375B927L,
-		0x48CE4829L, 0xEEDEF8E8L, 0x223AD535L, 0xFA97618CL,
-		0xDA086CC5L, 0xA9020E63L, 0x89A828FFL, 0x757F0BFDL,
-		0xEAD8E38FL, 0x0864E3F9L, 0xEFF82819L, 0xD7DE2BADL,
-		0x2183D925L, 0x1C10EA2BL, 0xD4405FB2L, 0x24562242L,
-		0xB56178F8L, 0xD1682BBFL, 0xCDE0FF93L, 0xB135F2C6L,
-		0x6E95F144L, 0x215484A8L, 0xB335ADA4L, 0x0010752BL,
-		0xE7126EB1L, 0x2F30AA95L, 0x73C04D5BL, 0xEBF14789L,
-		0x5BE0FF05L, 0xB2C3129FL, 0x6D115378L, 0x8A0C4623L,
-		0xE716AFEBL, 0x6B3F36C0L, 0x71D23F25L, 0xDEF919A5L,
-		0x9B1CC604L, 0x4E708139L, 0x1D206BF9L, 0x8C9C2BE3L,
-		0xAC43A8F3L, 0xCFB11067L, 0x0F741B5EL, 0x1EA6C0F3L,
-		0x86D5CC7EL, 0x21189475L, 0x088E9460L, 0x6F91D8ABL,
-		0x2D8C61C5L, 0x45360E78L, 0xE4A226D5L, 0x5C769AB6L,
-		0x2B67A136L, 0x6F8ADF6FL, 0xADE04340L, 0x55FE66DBL,
-		0xC334EF8AL, 0x61460C50L, 0x8DA1FF40L, 0x75824980L,
-		0x721FEFC9L, 0x948C22BAL, 0x661E3C96L, 0xFC1CDEE7L,
-		0x4C6C3ABEL, 0x67F1A2F5L, 0xE5EA0CCBL, 0xB58E9977L,
-		0x13A78F94L, 0x32921073L, 0xA9BEE311L, 0x5B9D7CA1L,
-		0x8681D048L, 0x43E439B2L, 0x4E80B689L, 0x6A9B1125L,
-		0x268E3FABL, 0xF39E12F7L, 0xEEC77123L, 0xD7B98ADEL,
-		0xB525DE74L, 0xD067F1D7L, 0x5B341ADEL, 0xC16E27BCL,
-		0xB61BC08EL, 0x0E8A0856L, 0x8318DC09L, 0x9C02B9DBL,
-		0xC6734B93L, 0x8C1CDB58L, 0xF729A76DL, 0x71288BC1L,
-		0x7D4685D0L, 0x0CCA95F1L, 0xFCDB8B5DL, 0xDE1EB92BL,
-		0xE6CC8BC2L, 0xC78D5B70L, 0xD73387E8L, 0x5676050AL,
-		0x071D0C54L, 0x04ED3ED2L, 0x3FF4ECF5L, 0x971EF95DL,
-		0x367D0085L, 0x633E3555L, 0x78A90717L, 0xD52D7BD6L,
-		0x81F57041L, 0x3CCEF4AFL, 0x5A2ECFE9L, 0x19B81054L,
-		0x837C3482L, 0x78DB4BCBL, 0xB7E7A2FCL, 0xEBC3AC19L,
-		0x955ECEECL, 0x9AF50F17L, 0x04C62335L, 0x0D548A8CL,
-		0x174D4064L, 0x5801584FL, 0x1C16E012L, 0xCD1742C1L,
-		0x97A4E3B1L, 0x4DF37C91L, 0x4169A93AL, 0x9B726C3BL,
-		0x886D38CFL, 0x01062DDFL, 0x045B14B7L, 0xF4A333B8L,
-		0x64F0981BL, 0x17A139C8L, 0x660678F8L, 0x3268CEC7L,
-		0xF60A6DACL, 0x98C455DFL, 0x493BFFA5L, 0x0927C471L,
-		0x1523D52DL, 0x32ACA049L, 0x09D59F95L, 0x82B8D198L,
-		0x66E92CB0L, 0x0268EF78L, 0x9CCB850AL, 0x6AAABED7L,
-		0xC2D7F5F3L, 0x01E4C4E8L, 0x5FDB4266L, 0xD83A3752L,
-		0x9CA64941L, 0x3F2F3EFAL, 0x2077CBBFL, 0x4B046864L,
-		0x33C040E9L, 0xB17A057FL, 0xC2CEBF84L, 0x92A3D3B3L,
-		0x3B803FC2L, 0x2FBAACF5L, 0xCD08A0A7L, 0xA61EFAC3L,
-		0x369F85AEL, 0x9614009BL, 0x1481932DL, 0x279E2645L,
-		0xDD2F2F91L, 0xB5AB540DL, 0x3EDD7F22L, 0xCB52391BL,
-		0x72BC36BCL, 0xABB56089L, 0x89D31DE7L, 0x1D50EB1DL,
-		0x651EFE74L, 0x9A0DF7BBL, 0x1DB885D4L, 0xC09F5259L,
-		0xDEDE19FDL, 0x0D025EB3L, 0x06152D5CL, 0x85385375L,
-		], [
-		0xC91D3A82L, 0xC79228C4L, 0x516D9B16L, 0xEAF41822L,
-		0xA82B1EE5L, 0x92BBB1BAL, 0xC97072C4L, 0x0AF2D626L,
-		0xEC9CC306L, 0xEA07F8F4L, 0x773CA5D5L, 0x7986D9D4L,
-		0xB5AA732DL, 0xF87C05C9L, 0x84134310L, 0x6B5A33B9L,
-		0x44E87BC3L, 0xCBF5050DL, 0xEC3C68BEL, 0x9FFB0E43L,
-		0xAD9B3BDDL, 0x35DED40AL, 0x2AD14001L, 0x4EF5CFD1L,
-		0x7D263782L, 0x25F3A325L, 0x08B9EBECL, 0x330F6D68L,
-		0xF9A5D1DBL, 0x5B3BDB94L, 0x01D20F47L, 0xA6B89829L,
-		0x6D657C3CL, 0x9D32C68AL, 0x8A389DDCL, 0x0AF1A252L,
-		0xB5E9CBA5L, 0x74CA996BL, 0x59E7C040L, 0xE23C06B8L,
-		0x3B69ECDAL, 0x53BD1E12L, 0xCD81D8F6L, 0x71B998F3L,
-		0xD6CA4414L, 0x053B7355L, 0x76EAB1B4L, 0x7DCA92A1L,
-		0x8D8CB7DFL, 0x44F26572L, 0x50723790L, 0xF4810D93L,
-		0x93B1EFBDL, 0xE9EA4046L, 0xE6E9A0EEL, 0x187FACAEL,
-		0xEA333CA2L, 0xD5E99BD0L, 0x916B8543L, 0x20752B5AL,
-		0x6554E503L, 0xAAA61EADL, 0x36EEEF1CL, 0x70121EA8L,
-		0x0E6DC468L, 0xAB6799C3L, 0xA8265566L, 0xF736E100L,
-		0x03E20313L, 0xD8181980L, 0xE6E24B96L, 0xB21E489AL,
-		0x5B3C553CL, 0x23A49DD3L, 0xAFC418B6L, 0xA807B571L,
-		0xC3BE8C15L, 0xCCDB14A4L, 0x9C77E8D3L, 0x1FCED935L,
-		0x25E82D1FL, 0x7838ED17L, 0xA57BA392L, 0x28E97B23L,
-		0x60941D05L, 0x663AFDD9L, 0xD913FE52L, 0x10B0E9C8L,
-		0x01C090B6L, 0x921E2C4DL, 0x6BD9488CL, 0x68E1429DL,
-		0x2AA87E7BL, 0xC8BA1070L, 0xD66DA3E0L, 0x0F66884FL,
-		0x1648AF43L, 0xA239A8DCL, 0xE4964AD0L, 0x8068A066L,
-		0x91E4408CL, 0x0321B7E0L, 0x3F33A264L, 0xB72CC578L,
-		0x6C1C912EL, 0xED757723L, 0xC9FA20FCL, 0x13CC343CL,
-		0xE7056942L, 0x19CE5761L, 0x35AD4DB2L, 0xBC76D4B9L,
-		0x68C59615L, 0x723C3060L, 0xF57C23BCL, 0xE7D6BCADL,
-		0x00F46073L, 0xB9127D8FL, 0x44CAD49AL, 0x9A5D6B11L,
-		0xE394A7F5L, 0xEB3F968EL, 0xCD7520E0L, 0x1D9D8244L,
-		0x555C55E9L, 0x25DA7BB1L, 0x3AFFA7F4L, 0x0575DEBFL,
-		0x55C48D52L, 0x5ADC4DD8L, 0x2EB346EBL, 0x671D6AD8L,
-		0x2B128FD9L, 0x9DF0D831L, 0x0B6C6C94L, 0x9166356EL,
-		0xA702A705L, 0xA3DD56C0L, 0x31C990E4L, 0x07C4E326L,
-		0x4F058C61L, 0xB4F45D31L, 0x1F555F53L, 0x269FB055L,
-		0xB6852ACAL, 0x7879C55BL, 0xF18A8256L, 0x82E1E5A6L,
-		0x16FCDBD6L, 0x3C53EE12L, 0x1DDAAE76L, 0x3B6DF49EL,
-		0x5B4CAE04L, 0xB2353A19L, 0x3080F4B9L, 0xF3040CD0L,
-		0xB8492621L, 0xDAC10038L, 0x5FA35637L, 0xF5D9CF83L,
-		0x1077D5C6L, 0x213793E7L, 0xA5395A0AL, 0x728003E1L,
-		0xD90C5F36L, 0xC945ADCEL, 0x73421F88L, 0x694C1D59L,
-		0xDE84F347L, 0x4EAF0AB7L, 0x4D50A504L, 0x43DAFEC9L,
-		0x821829B9L, 0x7F532504L, 0x765F31E4L, 0x21C07C08L,
-		0xA3C0D55BL, 0x5E7B542AL, 0x8E5C6600L, 0xFD12640BL,
-		0xB7953AD1L, 0x864A78FEL, 0xDE548E94L, 0x8792B188L,
-		0x9E29E5BCL, 0xC0186398L, 0x8A39DA22L, 0x8883F7E0L,
-		0x4EE058B7L, 0x412FDB69L, 0x9AE59311L, 0x2466223DL,
-		0xFEE86ABDL, 0x56CE7230L, 0xCFEC05F2L, 0x47DCEE78L,
-		0x837A5D28L, 0x6E9D94EEL, 0xE04A5AD2L, 0xC701696CL,
-		0x8E9AD861L, 0x432B3647L, 0x251C48C7L, 0x2504D178L,
-		0x69702645L, 0x986348BDL, 0xD5BFB37CL, 0x741B7248L,
-		0x23EBB3AEL, 0x2D522818L, 0xAD77F3EDL, 0x68C547D0L,
-		0x7CCCA781L, 0x8FA511DCL, 0x3789CBB4L, 0x98344AECL,
-		0xA5E96DD4L, 0xEDE3622BL, 0x4E000F33L, 0xBE4FD4D1L,
-		0x588C6F9EL, 0xBDE284B9L, 0x44643084L, 0x518DA9CBL,
-		0xBA7FCF3DL, 0x1556ECB9L, 0x10864FA2L, 0x02EA6B94L,
-		0xED02E932L, 0x2C507C14L, 0x329E9866L, 0x79E1C795L,
-		0xF63BEB62L, 0x1DE7EB1EL, 0x45107AD3L, 0x77E2ABFBL,
-		0x526A6CD2L, 0x5BA1946FL, 0x3257D238L, 0xFAB2FB30L,
-		0xD1983860L, 0x9943CA36L, 0x496D6BD3L, 0xF22CF09BL,
-		0xCCEC9071L, 0x579FBDD0L, 0xCB814591L, 0xE6DFFDBBL,
-		0xBE16F8DFL, 0xA87C9A49L, 0xE6536354L, 0x512ADE24L,
-		0xB657E640L, 0xAF938431L, 0xEDF03A94L, 0x350CF9D0L,
-		], [
-		0x832696C3L, 0xC83E3F7CL, 0xF7ABFCD7L, 0xB4C19D26L,
-		0x8875C200L, 0xC6BB64CAL, 0xE1637C82L, 0x67E46AAEL,
-		0x2D57A570L, 0x633F6CEEL, 0xBC6F56EAL, 0xC358274DL,
-		0x8C481858L, 0x2F8C3351L, 0x92B1E9D9L, 0xF860AC88L,
-		0x24320781L, 0xA5DDEE92L, 0x1F5BF31CL, 0x6ED0AE60L,
-		0x0B285558L, 0x06EC438CL, 0x70E85A6BL, 0xED439238L,
-		0x4BFC6DE6L, 0x8FB8144BL, 0x0BF039AFL, 0xDB9ABC52L,
-		0x96FF2429L, 0x392586F8L, 0x2D1115E2L, 0x8D866F1EL,
-		0xCA24A8BAL, 0x51EF2664L, 0x455B4EEEL, 0x5BBE3978L,
-		0xC09A03A1L, 0x65BD9F62L, 0xDDC17919L, 0x70A8FDF4L,
-		0xD5C3973DL, 0x7E5BE10DL, 0xB0B8C4F8L, 0x62F9D805L,
-		0xD68535CFL, 0x4B144C86L, 0x24A11180L, 0xC3A954FAL,
-		0xFAC22023L, 0xCD7E8E6FL, 0xD337D770L, 0x56911E62L,
-		0x8F774493L, 0x6F9DACEBL, 0x60413828L, 0xD3B99186L,
-		0xBE8E60E9L, 0xC9D4324EL, 0x3E590D8FL, 0xA6701D7EL,
-		0xC7266E0CL, 0x22BE9A94L, 0xEC59F354L, 0x5A5C408AL,
-		0xDB19D3BAL, 0xA5977A8DL, 0xC8FFCAC5L, 0x56EE41D9L,
-		0xC2F3173EL, 0x6BB40320L, 0x404653B6L, 0x224CFF01L,
-		0x43934AF1L, 0x70254314L, 0x712D7040L, 0x1ED7B45EL,
-		0x2F4DA29FL, 0xD0BD94A9L, 0x10729CDBL, 0xBEA38FE7L,
-		0xB41EB6F6L, 0x36DC612AL, 0x5FFECAA6L, 0x0A1A4588L,
-		0x34494826L, 0x9CF0B3C2L, 0xCF5540AFL, 0xAE8FDACAL,
-		0x4595D88CL, 0x2A04B6C7L, 0xD3CA223CL, 0x00F098BAL,
-		0x87BFF1EBL, 0x0F21728EL, 0x3A4CC2FBL, 0x7646FB6FL,
-		0x9287DE8EL, 0x5A22DBBCL, 0x9CA788D0L, 0x3955C8ECL,
-		0xEF65AD58L, 0xED39CC0CL, 0xA9BCA738L, 0x441DF384L,
-		0x069C63B0L, 0xFC2E1295L, 0xCBBA6E89L, 0x62E0484EL,
-		0xA964A170L, 0x80C8B564L, 0xF0145F20L, 0x585D6976L,
-		0x8A6FECB4L, 0x2B5B9BFDL, 0xB41BD3CDL, 0x4D26C783L,
-		0xF2518446L, 0xF8E2F546L, 0x28E1EC7BL, 0x5891BD6EL,
-		0x6F37030FL, 0x76F3F25DL, 0x6ADA036EL, 0xED521D56L,
-		0x8CEF9F66L, 0x776D4ED8L, 0x7B9075BEL, 0x1C19328CL,
-		0xBC82A9D5L, 0x90A12333L, 0xA73F84AEL, 0xCE8C0EE6L,
-		0x6532882AL, 0x54DE205DL, 0x8AB9342FL, 0xE9164823L,
-		0xA7EF738AL, 0x2B09F3F3L, 0x25CD2BABL, 0xDC1ADA2DL,
-		0xABFE0427L, 0xA996D8C4L, 0x4EA32AFDL, 0xF9559F4EL,
-		0x62ECB2AEL, 0x63B27945L, 0x3DDDB6FAL, 0xD0C864BBL,
-		0x2B3B0259L, 0xBC52392DL, 0x5D7D8C93L, 0xA42A7C17L,
-		0x781DD59FL, 0x32281898L, 0x40304092L, 0x31CA351BL,
-		0xDBDD120DL, 0xE97F8A7CL, 0x4B08951FL, 0x76158668L,
-		0xD40A28E9L, 0xB3AE8EA9L, 0xE9F00EFCL, 0x08E8464DL,
-		0x449FAA32L, 0xB6378741L, 0xC928F6FAL, 0xF776248CL,
-		0x78C1E863L, 0xF89A3E1CL, 0xD931ACA6L, 0xC7EC5FAAL,
-		0xD3F2712DL, 0x6B82E088L, 0x054D5937L, 0x1DE35A13L,
-		0x8805365AL, 0x5C5F501BL, 0x4DA49154L, 0xF2C4DE1BL,
-		0x3FB9A18DL, 0x7E0D9F63L, 0x852DDD24L, 0xF08B2B10L,
-		0x8A3F44FDL, 0xF5A7B732L, 0x5C2EF81EL, 0x8223A0FFL,
-		0x8AAD1618L, 0xC920D93FL, 0x82E09782L, 0xC640D537L,
-		0xA8085A33L, 0x562CE081L, 0x1FBB19A2L, 0xAA655FE1L,
-		0x1302E190L, 0x41CC80B0L, 0x2C8013C0L, 0x0CBED39FL,
-		0xE9B9178AL, 0xE109E701L, 0xB77382B7L, 0x067CF3A6L,
-		0xCB5A8E8DL, 0xEDEB42F8L, 0x8DE95C0FL, 0x01AE6C13L,
-		0xF90E2F8DL, 0xAFFED100L, 0xB83EF6CEL, 0x2C16D9ECL,
-		0x8C9C016EL, 0xCC191879L, 0xC4D838EBL, 0xA149B638L,
-		0x2F5DACFBL, 0x55CF002DL, 0x89C3E05AL, 0x727573B3L,
-		0x3F20E481L, 0xA3CBF5CDL, 0xBF346FAEL, 0xBEEC614BL,
-		0x1E0661F3L, 0xD27BE7DAL, 0xDD416072L, 0xB14BB755L,
-		0x62023B9AL, 0xDC3B40B3L, 0x20B6CDF8L, 0x272AF7A1L,
-		0xBA8E98CBL, 0xD55DEB6CL, 0x92C024F5L, 0x2EB140DDL,
-		0x1C2FD4DAL, 0x285F0494L, 0x34EE1057L, 0x9CC4D0FDL,
-		0x8BA6A4A8L, 0x37683654L, 0x16161DE8L, 0xD59B4D73L,
-		0xBA3035F4L, 0x2C290032L, 0x8F44CBA9L, 0x77CC1C17L,
-		0x46AD0EB6L, 0xEB3BBFCCL, 0x5BA5713CL, 0x454AFBC3L,
-		0x189F5B99L, 0x486E7084L, 0xE217D683L, 0x16164931L,
+0xF6FD36CEL, 0xDEA5D22DL, 0x9E0AC68CL, 0x75F74BA9L, 0x74284D49L, 0x5DFE096DL,
+0x3DAE3A9AL, 0x8D34DFC3L, 0x5867D829L, 0x2BAEE18BL, 0x49B320D8L, 0xDC2C4717L,
+0x199F9D68L, 0xD20C53CBL, 0xA4EA0E7DL, 0xC3EB485CL, 0xD39E9820L, 0x9556A9B0L,
+0xFDE0D7B6L, 0x373C3B71L, 0xBF4E19DDL, 0xEA3EF460L, 0x7969CA78L, 0x70C3FBC0L,
+0x26B24C0FL, 0x2540F04BL, 0x95210013L, 0xD0202F2BL, 0x0BADD392L, 0xB7071246L,
+0xF4C98CC0L, 0x3DC9A8B8L, 0x33464654L, 0x3F5203C2L, 0x5DA4027DL, 0x5FC202ACL,
+0x2C4384C2L, 0x4A6F1F9BL, 0x48137E49L, 0x0695BA36L, 0xB95C35EBL, 0x0CA663EAL,
+0x06B665EFL, 0x0434DEC6L, 0x042B34D9L, 0xAF4ED3B4L, 0x7EF5B2BFL, 0xC6E08131L,
+0x10B5AF5EL, 0xC19E25E2L, 0x44A2BDDFL, 0xA064A4E7L, 0x32D69E62L, 0xF040BDA3L,
+0x8053CFDEL, 0x28B7909BL, 0x05944456L, 0xD45F6184L, 0xFFA859C1L, 0x828181D2L,
+0xA4E03A60L, 0x7B3A0858L, 0x52A5CBF1L, 0x1049BDD3L, 0x36CAD87CL, 0xA5E3FCC7L,
+0x3824984DL, 0x046BFAF0L, 0xD22E4EEFL, 0x02156DAEL, 0x3CF82E35L, 0xD3383EC6L,
+0xB79909C7L, 0x00DFE65CL, 0xA45C63A2L, 0xB571F38EL, 0x79CFE3FEL, 0x64371D45L,
+0xC5B62B8AL, 0xEF73CBE4L, 0xC6603F28L, 0xE63BB420L, 0x9ECC7027L, 0xFDAC399EL,
+0xA7DEEE1AL, 0x5C9B6B93L, 0xB7C58225L, 0x7DBD4786L, 0xB911E83AL, 0x9C2D7DBEL,
+0xB95CAD1CL, 0x72A496FBL, 0x75594B0CL, 0x972DE6BEL, 0xD350CA84L, 0x144E413BL,
+0x8DE0DE39L, 0x831D387AL, 0xA198D810L, 0xF0E0D069L, 0x1A9127C3L, 0xDA0706A1L,
+0x01CAC3A7L, 0x1FB05101L, 0x6B14D8CEL, 0x6203C3F3L, 0x35FAAC06L, 0xD34D77C8L,
+0xD9571C22L, 0x21AE6FEFL, 0xB26157EBL, 0x90767E8CL, 0xB7A908DEL, 0x8A4AEB7CL,
+0x4EF9A3F7L, 0x8FEF6E86L, 0x1DD098C5L, 0x2EA34733L, 0x12820E88L, 0xB5FA97A8L,
+0xFADB5158L, 0x09D75EDFL, 0xAEA19DEFL, 0xB2E711DEL, 0xEABC8403L, 0x3CA2FAC9L,
+0x98FE610DL, 0xAB777A49L, 0xEB5749FFL, 0x95C5168FL, 0x5E7CF20DL, 0xF55D18E5L,
+0x9CBD14DFL, 0x138C5CEAL, 0x3A1F0B5EL, 0xFA3DE986L, 0xB2F00E18L, 0x702833A7L,
+0x17911203L, 0xD227F2CDL, 0x21D03ABDL, 0x4735D4F8L, 0x705A8002L, 0xC39584FDL,
+0xEA4F29AAL, 0x6DC822A7L, 0x0D3E6D8EL, 0x95FF16A5L, 0xDE5EDB12L, 0xF33BEBFDL,
+0xA9C256ECL, 0x7879E9EFL, 0xB80FA0CBL, 0x5541E9C8L, 0x53EC0760L, 0xE39ACBF4L,
+0x15F6F2B4L, 0x89582A6CL, 0x17611817L, 0xD612D44AL, 0xB46C83B1L, 0x89F385F1L,
+0x466BBD11L, 0xBB79FD92L, 0xF617A3EBL, 0x3ED49DF8L, 0x802E0824L, 0x9B108110L,
+0x69FF76DBL, 0xA9F02162L, 0xE6D92161L, 0x78104590L, 0xE6D33EB4L, 0x0B99AAECL,
+0x78BD05F5L, 0xA3DD5738L, 0xC1D275D9L, 0xBA5AD45CL, 0x3F438DB7L, 0x5A695F1CL,
+0x11843FB9L, 0x160B4E39L, 0x6D70134FL, 0xE46D07FBL, 0x8ABA4857L, 0x61696980L,
+0xAE2EEA72L, 0xC2609B77L, 0xFD13E78EL, 0x001BDB3FL, 0xA41D589DL, 0x87D28135L,
+0x543DF838L, 0x2FE95D05L, 0x978FE4DFL, 0xF93C68A3L, 0xD3123DE2L, 0x6672B62AL,
+0xF17D6339L, 0xA74E19FBL, 0x3A8AFEC1L, 0xC7E34355L, 0xF4341642L, 0xEC80CB21L,
+0x9A2857DCL, 0x367AF183L, 0xAB85D076L, 0x675F789BL, 0x69AC7A11L, 0x45C072BAL,
+0xFA2E7F52L, 0x40361F9FL, 0x5E5B999EL, 0x935EF244L, 0x539AC9D9L, 0x44CDDF56L,
+0xD873EF96L, 0x02ACFFB3L, 0xE1132BE1L, 0x9C01FC6DL, 0x6AF6C971L, 0x2FB5DFC9L,
+0x52EF5A1FL, 0xF2604D6CL, 0x2080717BL, 0xEA47F30DL, 0xDFE65FD5L, 0xB6CC4E4CL,
+0x1E39CA72L, 0xA8932695L, 0x29F24747L, 0x5F6692A6L, 0x128DC7B0L, 0x94A008C8L,
+0xDE0AC13FL, 0xA7E72050L, 0x14FC696FL, 0x075D7348L, 0xD230F4BDL, 0xF057308FL,
+0x43D38F2BL, 0x300ECE1EL, 0xCBC9A1DCL, 0xD1DC2D9FL, 0xF9DBB5C5L, 0xA6342B61L,
+0x943AC415L, 0x18676FBFL, 0x314919FBL, 0xC9570A0AL, 0xBD7A40EDL, 0x8A44ACF4L,
+0x354ABFCAL, 0x4D534A18L, 0xBFFEE160L, 0x35C18D93L,
+],[
+0x15DBCCCEL, 0x29A95713L, 0x5D890889L, 0x070DEA79L, 0xF9B56896L, 0xF8784885L,
+0xE0F748B1L, 0xA5A0C290L, 0x16FD2DDAL, 0x681430F3L, 0xB9699967L, 0x6767C430L,
+0x0FD5F8D0L, 0xB43E99A8L, 0xEED1B054L, 0x5374A256L, 0x7C0F049DL, 0x2819D817L,
+0xE83CB003L, 0x9B02FE6DL, 0xBFD783B2L, 0x7C3BF349L, 0xF8AA7001L, 0x2A87EDEFL,
+0xDCAA68AAL, 0xE2D13D6CL, 0x904DE7BDL, 0xBFF5CB87L, 0x4E7C9B78L, 0xDF751DFAL,
+0x8DCF87CFL, 0x2245A935L, 0x7938A3C2L, 0x8D3FF426L, 0x34510A7AL, 0x6CFCE072L,
+0xCD60683BL, 0x1A03A627L, 0xD52501E1L, 0xA700BE5FL, 0x4E661D53L, 0x19082F1BL,
+0xA7139E35L, 0x1F483D14L, 0xE92ECBD2L, 0xB3ECF92DL, 0x40A16636L, 0x7942F3CDL,
+0xABDC3431L, 0x0534D0EDL, 0xABF19574L, 0x40C6EB83L, 0x95209166L, 0xBF8381F9L,
+0xEDAA0255L, 0x5E0ACD29L, 0x64AB8FB0L, 0xEFED8E62L, 0x0127B489L, 0xCD42E9DAL,
+0xF15A31DAL, 0x284C520AL, 0xCA5CE322L, 0xD5139D06L, 0x1CA1134FL, 0x1351487CL,
+0xC270EE91L, 0x535D5904L, 0xFE1B86EAL, 0x3CA2AA59L, 0x0DC98AEBL, 0x6595181EL,
+0x2FD45C25L, 0x5A69EE66L, 0xD0006BA9L, 0xB22C37EFL, 0x385E82D3L, 0xDC605157L,
+0x5167F38AL, 0x56BBC682L, 0x03609E08L, 0x6D1493F6L, 0x5A993E29L, 0xF3EE5E34L,
+0x066CF14CL, 0x87362267L, 0x446439FCL, 0xF940D038L, 0xF6CA440BL, 0xCA6FA060L,
+0x1C7E1197L, 0x01B9A238L, 0x28B981B2L, 0xDD5B3F57L, 0x9265149DL, 0x7B4C3D75L,
+0x79C78911L, 0xE79EF7FCL, 0x5E9AB738L, 0xBBE234D8L, 0xA65B3B3BL, 0x1BD51281L,
+0x80E5E454L, 0x55050949L, 0xE814A07DL, 0xCB815BB5L, 0xF0E1EFE7L, 0x52A4D76AL,
+0x5BEB1613L, 0x5CED5360L, 0xEC1E36BDL, 0x3418CBA4L, 0xAC75B160L, 0xF506CB83L,
+0x1F10C19CL, 0x07FEAD71L, 0x2A8B0C8CL, 0xE426C985L, 0xF047A0BEL, 0xFA0D76A3L,
+0x040FB6B2L, 0x3FD46417L, 0x4BD840D8L, 0xC4CB3DB8L, 0x114B557BL, 0x771C2219L,
+0x6D337D4AL, 0xB6F394E9L, 0xFF01229AL, 0x2296570DL, 0xDFE9F249L, 0x1D875F0EL,
+0x6FDDD772L, 0x157BD311L, 0x63D781C6L, 0xEAC5ABBEL, 0x6CB1BA01L, 0x85AA1E24L,
+0xC137C5D1L, 0xCD6A3D0BL, 0x4A05D2FCL, 0x02335168L, 0x58EF5A40L, 0xF255CAEFL,
+0xE3D875D8L, 0xC38C2F9CL, 0x4B095C46L, 0x55BB061BL, 0x81089166L, 0x8629DE9CL,
+0x4515095DL, 0xB994B900L, 0xABE9C314L, 0x3AA8014EL, 0x5AFEFF8FL, 0xF359DEA6L,
+0x753E9545L, 0x1547382DL, 0x52239C7EL, 0xB4740661L, 0x83CD9095L, 0xB66AC441L,
+0x0370D2B1L, 0x34D43CB4L, 0xDF5AE400L, 0xCAE562C5L, 0xCDB1E51DL, 0x8E4EB2EDL,
+0xC3C96EC6L, 0x6A98C9F5L, 0x982AD390L, 0xEE47D043L, 0x1C9F922EL, 0x2BCD36CFL,
+0x4B4DCDA3L, 0x10BD2C62L, 0xB72E38BBL, 0xC83AAEEBL, 0xD41414BEL, 0xDE95000EL,
+0x1374FF7DL, 0x07850398L, 0xDDFA07AAL, 0x7295DCF3L, 0x1E703A64L, 0x80447FACL,
+0x90950C82L, 0x0EE0D3C7L, 0x8E9D3C34L, 0x70C7D56EL, 0x6619A322L, 0x6F60E73AL,
+0xA076FADAL, 0x88C1DAC3L, 0xD45A9516L, 0x870E8C4AL, 0xD06021EBL, 0x32A45FCBL,
+0xB4A25EA7L, 0xC6AE3360L, 0xD9F5CCD4L, 0xB5E7AB55L, 0x56D47CE1L, 0xD229F5B1L,
+0x23F5C90EL, 0x610A1A1AL, 0x4B2FFCD2L, 0xFCCCDA4EL, 0x97FAD1ABL, 0x406D14D0L,
+0x83F94EFFL, 0x4F428BF5L, 0x595EED25L, 0xB7E2284FL, 0xA3042BE9L, 0x90F761B1L,
+0x9D622C2AL, 0xC4C05E56L, 0x471C109DL, 0x435C35EAL, 0x9418003CL, 0x36C8665BL,
+0xEC4246E1L, 0xA73B6AD4L, 0xA93E8EB9L, 0xAD0AA225L, 0x48A6D2F5L, 0xDF84B6B8L,
+0xC7B0368AL, 0xBBC8D83BL, 0x739BD3E6L, 0x5370B70EL, 0x06518368L, 0xFE82BB7CL,
+0x957FC02DL, 0x8C00659FL, 0x4EED2414L, 0x2F79CE26L, 0xECB091A7L, 0xF4D8AC7FL,
+0xE946B22BL, 0x018EAB58L, 0x170DC0D5L, 0x9FB524EEL, 0x3A242EB4L, 0xB02F62F1L,
+0x5247A50EL, 0x9945BCC3L, 0x251B5148L, 0x7669A6E0L, 0x5DB00878L, 0xC908B055L,
+0x9F7CA600L, 0xC6C34F95L, 0x4851894DL, 0x515E8E4EL,
+],[
+0x3BDF54EBL, 0x79424E44L, 0xFEDC2714L, 0x3A2D542AL, 0xC90E1AE4L, 0x230D7AA1L,
+0xE5FF077FL, 0x2CEACFA9L, 0xEF800EC0L, 0xFDEB3C32L, 0xCEDB12AFL, 0xBBD63D05L,
+0x30A678FBL, 0xBD4B3C9DL, 0x3EE61F60L, 0x7795B124L, 0xE20D7C42L, 0x28912105L,
+0x901E965CL, 0x8BCEED8DL, 0x369E317DL, 0x98733CE5L, 0x9CA3D724L, 0x1B0B2771L,
+0xC48F661FL, 0x4F134B8CL, 0xF5B509DFL, 0xBC818625L, 0x9EC5C114L, 0x2AEBF364L,
+0x496E1870L, 0x41DD2A62L, 0x42C57C68L, 0x15885679L, 0x6B3C3B59L, 0x24E18DFBL,
+0x63DEE76AL, 0x4F0CA078L, 0x4269E797L, 0x06907DF4L, 0x9979AA8CL, 0xB08794B5L,
+0x83B83773L, 0xB0C133EDL, 0x3746BDE6L, 0xCE3ED2AFL, 0x0805E55DL, 0xB968950FL,
+0x62309D14L, 0x07396EC8L, 0xB8A4CA12L, 0x186CAB69L, 0x87DBEF27L, 0xF6776060L,
+0xD807120BL, 0xCFD7CC4BL, 0x7601C2E1L, 0xC2DEE931L, 0x99F22346L, 0xA7AF7010L,
+0x31ACB350L, 0x2755A8F2L, 0xD3183E5CL, 0x58641565L, 0x215A59EFL, 0xBBAA2079L,
+0xE6D44C36L, 0xA2651EE0L, 0x08653601L, 0xD0AE8B02L, 0x7794C55EL, 0xB5CA01C8L,
+0x25D8BA7AL, 0x7B468EA9L, 0xD1CDB877L, 0xD2078BF5L, 0x3D3E4D32L, 0x65D6C3BEL,
+0x425DF64AL, 0x450A0ABFL, 0x3F0BDB36L, 0x92989B0BL, 0x6204CF30L, 0x32A64C6AL,
+0x544FB5B9L, 0xEBB0CA06L, 0x480B642EL, 0x3E0284ADL, 0x0BF0A61FL, 0x9BACD23BL,
+0x252197AFL, 0x0442881DL, 0x56258201L, 0x6EDCCDD8L, 0x038936DCL, 0x499966FFL,
+0xE003B235L, 0x70E2DCB2L, 0x70411309L, 0x9495803EL, 0x2A6726EBL, 0x9DF1CA34L,
+0x5241819AL, 0x1BBC4A88L, 0x266CE104L, 0xE61598E6L, 0x075E26F5L, 0x82D889DEL,
+0x3351C0DBL, 0x8280DE84L, 0x34AB5BAEL, 0x5B5E1B6AL, 0xA47C6195L, 0xDF918381L,
+0xEA23D1D8L, 0xE127ABFAL, 0x8A081347L, 0x55DD03CEL, 0x66E83947L, 0xE8EC3FFFL,
+0xB18EE74DL, 0x90B77AABL, 0x5D383DA2L, 0xBD60B102L, 0x0B73C02BL, 0x6E34FD16L,
+0x275E2BE7L, 0x36B32FDAL, 0xF8DC2735L, 0x93E4690CL, 0x106F106DL, 0x2CFC8BFAL,
+0x415DF134L, 0xD9AAD4F2L, 0x6CEBFA2DL, 0xD65A7886L, 0xF17CD2ACL, 0x4DDBBB47L,
+0xBE4D5FA3L, 0xE3890B33L, 0xE8EC9654L, 0x3EA7350DL, 0x5E505EC7L, 0x348CAAC6L,
+0xD85F61C3L, 0xB9D53FD9L, 0xAFF0AE61L, 0xC8C5AE39L, 0x44C6AD0EL, 0xFBAA61E0L,
+0x01DCDF26L, 0x5C0A9A4BL, 0xBA2D2A79L, 0x8B0EE1ABL, 0xAF3A488AL, 0x14573086L,
+0xBA540B76L, 0x61F028A1L, 0x58A7A0C0L, 0xD9F310F1L, 0x7DD0F3ABL, 0x01A1A3C4L,
+0xD77E6370L, 0x41310B57L, 0x0EF905E5L, 0x1AD6B697L, 0xC8E883A3L, 0x591BC606L,
+0x3325842DL, 0x1E09F853L, 0x18FDBF80L, 0x2FF07151L, 0x6D0B2849L, 0x07A72B7CL,
+0xEC716644L, 0xD608A530L, 0x0AC40EB0L, 0xA1B748F2L, 0xC349D6B6L, 0x95112613L,
+0xD3B96139L, 0x91243914L, 0x2DB56986L, 0x949A0DE1L, 0x0EC54412L, 0x0C4E2748L,
+0x405315C5L, 0x032B58DFL, 0xCC7F0950L, 0x43BAF130L, 0x76B95EA0L, 0x361C7B2AL,
+0x4BB1275EL, 0x75F93428L, 0xD522A1E6L, 0x13D9303AL, 0xE06345FEL, 0x31521803L,
+0xA54A0028L, 0x1F0116CEL, 0xB08837EDL, 0x5EAC3E98L, 0xAB830BA0L, 0x3C62EF0DL,
+0xE4820552L, 0x080CE492L, 0xE3B4CC51L, 0x696A4418L, 0xE50D8FF8L, 0x5026D64CL,
+0x52C5605BL, 0xF87018DAL, 0x05B88797L, 0x32E50E35L, 0x91A9CE2EL, 0x54E54C27L,
+0x3D0223E2L, 0x896A4611L, 0x4490278CL, 0x8A5685A5L, 0xA3582430L, 0xC2F309F3L,
+0x6396EE8CL, 0x1D52F5F2L, 0x85E35B9EL, 0xDC997189L, 0xA81A8BFDL, 0x1236750BL,
+0x55AC08ADL, 0x06710DEFL, 0x5D9A9B4FL, 0x69EAEA69L, 0x3C816E82L, 0x6C84BFEFL,
+0xC15B9832L, 0xFFCA2311L, 0xB65AD661L, 0x54FD8687L, 0xB8ACF8D0L, 0x50B268ADL,
+0x3544FA99L, 0x0F6135FCL, 0xA1761232L, 0x3F84EF74L, 0x8F1424C9L, 0x7D431C2FL,
+0x8DF7DA17L, 0x9F85FD1DL, 0x18587869L, 0xAB575724L, 0x220380ABL, 0x98373C88L,
+0xE1366D67L, 0x82E57F36L, 0xD61BC4BEL, 0x07D58C4FL,
+],[
+0x683F7667L, 0xA541B488L, 0x6D7B2A23L, 0x22A41694L, 0x714144A3L, 0xCEEB33DBL,
+0x91F21FE6L, 0x02D76C99L, 0x24806001L, 0xA4FD1A84L, 0x5D97E128L, 0x7788855AL,
+0xCA77B8B5L, 0x1B015B0AL, 0xD8F04F28L, 0x08320591L, 0x8CF956C3L, 0x722B4883L,
+0x672A9765L, 0x44305B25L, 0x3051744FL, 0x416E06A9L, 0x9545B3E2L, 0x17790B0AL,
+0x85C17B98L, 0x06667AFBL, 0x4BA97BC6L, 0x0D6B04A4L, 0x68034698L, 0x466B0160L,
+0x521F80F7L, 0xA82BA4E0L, 0xF5B637BFL, 0x67147E05L, 0x48E146A8L, 0xAF6A409AL,
+0xED6655A3L, 0x7C899717L, 0x981BA419L, 0x09AD7F2EL, 0x33521C83L, 0xC2FA65F6L,
+0xF3384E6BL, 0xDA0C80DFL, 0x37FEF848L, 0xA848D525L, 0xB8E32C99L, 0x97B891E4L,
+0xDDD90DB7L, 0x3AA979B0L, 0x0474B23AL, 0x82287645L, 0x8E204322L, 0xE6F54045L,
+0xC5B4C06EL, 0x0057E113L, 0x52275D2FL, 0xB8FC4D97L, 0xCFD4FB48L, 0xA0EBDB7CL,
+0x8F103E54L, 0x03DFB57EL, 0xF196BCE7L, 0x45440571L, 0x663F7F17L, 0x5794CF8DL,
+0xF0971B82L, 0x8906D80AL, 0xCC877E57L, 0xCAB0DA5AL, 0xFC3ED8CAL, 0xD5C71E54L,
+0x3072110DL, 0xD3D246B5L, 0x0AE32773L, 0x8926C074L, 0x5214AAB9L, 0xC66C04A2L,
+0xE8CF3EAFL, 0x914062C4L, 0x913D7238L, 0x45788958L, 0xBA9FA3B9L, 0x9BF41707L,
+0xAE411474L, 0x9C9E6C0EL, 0x758BA342L, 0xC96AEA50L, 0xD3228F2DL, 0xEB7856BAL,
+0x2B7EBA85L, 0x00DB5F30L, 0xE347B374L, 0xC05A59C4L, 0x078F88FAL, 0x932CCC02L,
+0x67EE3843L, 0xC907DEF1L, 0x661259C1L, 0x17F329BCL, 0x328482B5L, 0x7087FA30L,
+0x769C4BC3L, 0xA0F9E397L, 0xB0479075L, 0x3CA62A66L, 0x898C06AAL, 0x919C2B28L,
+0x19B88011L, 0x63E08F72L, 0x7045161BL, 0x68CF633EL, 0x134DD266L, 0x786B683DL,
+0x5BC3C5B5L, 0x4E9072C9L, 0xFDC585DEL, 0x2BE541BCL, 0xA6CEC44DL, 0x8D020751L,
+0xC414CF1EL, 0x81C415E6L, 0x5F329C47L, 0x861851D0L, 0x4A6AAD99L, 0xD8D65983L,
+0xB888F747L, 0xEC13EE1FL, 0xE663AC61L, 0x232989ABL, 0xB407B08BL, 0x11F493C4L,
+0x146267E9L, 0xCBBF47BAL, 0x437B1949L, 0xA05932A7L, 0x880F0F71L, 0x61CAB909L,
+0x60429F95L, 0x6FFB2F76L, 0xC59FCE04L, 0x8243EA59L, 0xE4AE694BL, 0x9BEDD83FL,
+0x147655CCL, 0xBBE22CF5L, 0x65884C22L, 0x8A358C5CL, 0xADE95F94L, 0x8A67DF41L,
+0x714EBDBEL, 0xBD6E8098L, 0xAC2794D8L, 0x319C107DL, 0x0C4BFC45L, 0xA0AD5B25L,
+0xFF685C69L, 0x5BF79FCFL, 0xBD68B5ACL, 0x7384C8BFL, 0x10F1AFEEL, 0x2BE57199L,
+0xE86677C9L, 0x812AEA9DL, 0x29D8808BL, 0x9408E3F7L, 0xF6147637L, 0x40A95E51L,
+0x5D479F1BL, 0xF706187CL, 0x03EF65B3L, 0xA4C48800L, 0xE2B52085L, 0x45AEC06CL,
+0xAE12A7FBL, 0x276E2EE1L, 0x52206B7EL, 0xDF57AA62L, 0xD67208F6L, 0x68D2527DL,
+0xC69C34D5L, 0xC024AC74L, 0x53AD47A7L, 0x3FC8927AL, 0xBDDC1122L, 0x9FA5C189L,
+0xB67A9150L, 0xB26B32C9L, 0xE6C5F1B1L, 0xBA9CBE02L, 0xC8E2A99DL, 0x66C2E881L,
+0x3BD89574L, 0x39CE76DBL, 0x9308B021L, 0x58134C62L, 0x81EA35E9L, 0x23D3E7ADL,
+0xA3280D6DL, 0x169FD78EL, 0xD8135C92L, 0x9968F791L, 0x6EB1E0D5L, 0xEB3FA664L,
+0x27B477D3L, 0x3B38A952L, 0x9E8C51F0L, 0xAB1DC97DL, 0x8EB76F2CL, 0x22CBCFB6L,
+0xEDB577D3L, 0x3368847CL, 0xD1FFBA4EL, 0x1467FB27L, 0xF12F52EEL, 0xEBF55C9AL,
+0xB713E335L, 0xB35474A5L, 0x211205E5L, 0x72287E82L, 0x207C5FDFL, 0x218B4FD8L,
+0x7E3CCF50L, 0x4C37B4DBL, 0xDC8C668EL, 0x475DE650L, 0x59CC9FA0L, 0x61898891L,
+0xED71E726L, 0x3D365153L, 0xFE19D1EBL, 0x0C01F55FL, 0xF7D3CAAEL, 0x4FD118DBL,
+0x64AA86DEL, 0xDFC8F017L, 0x158FE3F0L, 0x14338AC2L, 0xB48F9853L, 0x528A8F6FL,
+0xF5283200L, 0x76BD3593L, 0x36BB2548L, 0x16790E0DL, 0x9EF89147L, 0xC6DFA4ABL,
+0xF38DAE04L, 0x873E8CE2L, 0x1ECF63B2L, 0xF45B961AL, 0x6EF8B795L, 0x73AC9978L,
+0x81580E8DL, 0xD3602E83L, 0x419BE57AL, 0xF88AB76FL,
 ]]
 
 in_key_p = [
-		0x50E2A8D4L, 0x103290CCL, 0x2BCFDB20L, 0xEC665FF6L,
-		0xA6521A84L, 0x536F33BFL, 0xA2229197L, 0x1B797EF7L,
-		0x646C1CB4L, 0xCDDE464AL, 0xCA864B25L, 0x20D6E3F7L,
-		0xB581B8C7L, 0x62E70576L, 0xE14C7649L, 0xB71A3F19L,
-		0xCCEE1164L, 0xF7A94CE1L,
-		]
+0x81A0D315L, 0x62EE1AE1L, 0xA464BCC1L, 0x3BA1681EL, 0x95F51922L, 0xD23ADF85L,
+0x454592EFL, 0xEF7E7533L, 0x502B8DF3L, 0xA3D1BC15L, 0x5548A7C4L, 0x8C91C026L,
+0x16EA1478L, 0x64BF6223L, 0x3CEF49B3L, 0xB4053114L, 0x3D5034E6L, 0xDC0A7EF9L,
+]
 
 in_key_s  = [[
-		0x6741D820L, 0x61599D6DL, 0x8513F3BFL, 0xF7A30985L,
-		0x88DC9FFFL, 0xECB90622L, 0x48C3CEC2L, 0xB1C96B9FL,
-		0x5E0CAD63L, 0x49BD8C2DL, 0x8875BA79L, 0x5C91F805L,
-		0x06C56433L, 0xDA2D45BDL, 0xF234A5B6L, 0xE0E7804BL,
-		0x27A8A4D6L, 0xA26F926CL, 0xC3C7256BL, 0x3684A81FL,
-		0x71C805CAL, 0xA70E162FL, 0xDB4AD7B5L, 0x8D80E13FL,
-		0x302026D8L, 0x3F4B5CC7L, 0x0E3D1704L, 0xF97461D2L,
-		0x747CA5B6L, 0xCC558E08L, 0x32C1DD57L, 0xAF8197DCL,
-		0x98278B1FL, 0x74B5D610L, 0x805D61B7L, 0x6DACC6DDL,
-		0x0D5E8E95L, 0x49A7C8BAL, 0x40C28482L, 0xF27175D0L,
-		0x345FD672L, 0x1F4A851FL, 0x697C8164L, 0xB260A8E5L,
-		0x3EEC09D7L, 0x586D440EL, 0xFEA50356L, 0x6AA176C4L,
-		0xD2B950E9L, 0xB63A73F7L, 0x9D834CA6L, 0xEA7B5839L,
-		0x963559A9L, 0x02B91B6CL, 0x03E4EF42L, 0x3B10FD7FL,
-		0xF98557A0L, 0x63DAACD0L, 0xE2FBDA2DL, 0xC2B332A7L,
-		0x34F9F6EDL, 0xA5D10A60L, 0x79D79086L, 0xBDA64EEBL,
-		0xA6867356L, 0xCF878D4CL, 0x486B3CFCL, 0x51C0BD5FL,
-		0x73383396L, 0xE2AC907CL, 0xFE91DD09L, 0x9B3D72E6L,
-		0x557B1E51L, 0xB9763F9BL, 0xAEA2A746L, 0x7CAF79A7L,
-		0xB6044A7BL, 0xC58195D8L, 0x2C848DD8L, 0x72E845C1L,
-		0x6FF900A4L, 0x4645AB96L, 0xDA3D58D4L, 0x9253382CL,
-		0xD50FDB0BL, 0xA522558BL, 0xE782F76CL, 0x1A41A9A4L,
-		0xBD6300DDL, 0xF38A2CC7L, 0x0D9C5079L, 0xEA4191B4L,
-		0xF5806863L, 0xCF6D271FL, 0x01B7320CL, 0xB93D1325L,
-		0xC58DA1BEL, 0x70CD8577L, 0x3C1E0796L, 0x17D7AE8AL,
-		0x12C7E2F3L, 0x240F0D4DL, 0x0EDC40B6L, 0x02447A9CL,
-		0x643CCCEEL, 0x12E7476AL, 0xFF6620FEL, 0xDD581F89L,
-		0x9849D29AL, 0xA8B8D2F4L, 0xC1233FF1L, 0x2B0F785AL,
-		0x9AFB6D15L, 0x3BF89716L, 0x85105F6CL, 0xA46CC28DL,
-		0x65B197A8L, 0xC40ACC08L, 0xDA0CA7A3L, 0x112BCF13L,
-		0x81287948L, 0x42934B76L, 0x7DE2E016L, 0x3C106F13L,
-		0x5E6CFFB7L, 0x34DAF94EL, 0x032D1BB6L, 0x97741F3CL,
-		0x9FA0AFD1L, 0x8BED73A9L, 0xAAB5011AL, 0x3D02C77CL,
-		0xD43FF261L, 0x5BC72505L, 0xA7976F41L, 0x4D87398DL,
-		0x03C8B977L, 0x96334C23L, 0x1ECFD285L, 0xB8D14F76L,
-		0x5EF4FCFDL, 0xD6218032L, 0x7ED772F5L, 0x958FF519L,
-		0x244DFABBL, 0x0BBC5EDDL, 0xCD2DF778L, 0x667F3C3BL,
-		0x4A638665L, 0x5588FD81L, 0x3D0DF17DL, 0x3871973CL,
-		0xDF68E330L, 0x8A04E4FEL, 0x7D6A6DC0L, 0x2D85D433L,
-		0x3B740C18L, 0xAE3EB3FBL, 0x1D95793AL, 0x29E2156EL,
-		0x6E015902L, 0x10DCF520L, 0x93225144L, 0x3BB17F29L,
-		0xE79091C5L, 0x439E1755L, 0x4229B6DCL, 0xEE366F54L,
-		0x73EC4428L, 0xD0415325L, 0x583EFC6DL, 0x7CF58E00L,
-		0x12E17B5EL, 0xA7BB50BEL, 0x3F274960L, 0x334DDB37L,
-		0xF05CC54AL, 0x6DF249B2L, 0x00561B82L, 0x925B78B2L,
-		0x0C54A34AL, 0x77CE1514L, 0x5A41B671L, 0x27ED5273L,
-		0x33302D43L, 0x46C8E20AL, 0x71E0939BL, 0x58B79033L,
-		0x3BAA1B71L, 0x1BEE36D3L, 0xAA6B74B1L, 0x973EA0E6L,
-		0x9EBC480FL, 0x8F304003L, 0x90305277L, 0x339DD096L,
-		0x570CDF36L, 0x5E1422C7L, 0xFD4DFA77L, 0xA7E4BD60L,
-		0x444DA8C0L, 0xB97026D2L, 0x6836E205L, 0xBB81A25AL,
-		0xD0BFCA10L, 0xC768CC6AL, 0xF532AD01L, 0x0E7A4E70L,
-		0xBE391242L, 0x93061C8BL, 0x4A227558L, 0x1156A957L,
-		0x9EEFDCE2L, 0xD5728062L, 0xFC25DE98L, 0x25A899FCL,
-		0x727754CAL, 0x91CB098BL, 0xE7610A22L, 0xC60879C0L,
-		0x7B9EE54EL, 0x7B256444L, 0xBD08D9E6L, 0xB79E8EFDL,
-		0xAAAD6184L, 0x7E509018L, 0x0BADA391L, 0xC600AF03L,
-		0xC92096FFL, 0xF44E2008L, 0xE4A71B8EL, 0xCD33A7BEL,
-		0x0BB1109CL, 0x2A3BA5FBL, 0xAE7163F1L, 0xD988B80BL,
-		0x64CB7628L, 0x43CD0A4DL, 0x7FD13B59L, 0x5574D473L,
-		0x3A0900A7L, 0xC35F6D75L, 0x5FFB13BEL, 0x784A0061L,
-		0x7881E5CFL, 0xD65F7B1FL, 0xD9D98329L, 0x7A267038L,
-		0xCB60D0EBL, 0x5E04323AL, 0xF20494EAL, 0x6247C11AL,
-		0x85D1DC30L, 0x8AC88FE0L, 0x90C11871L, 0x7BA8F473L,
-		], [
-		0xA3F71745L, 0xE4A3D5BEL, 0x1E9EBA3CL, 0x596FBCFEL,
-		0x9F16B71CL, 0x61B631C5L, 0x80BD9680L, 0x4C534080L,
-		0xA7C36E7DL, 0xCC539FB9L, 0x6462452CL, 0xBAD63850L,
-		0x7B1EA843L, 0xA726F757L, 0x0C76B9AFL, 0xFE89E628L,
-		0xDDE971D0L, 0x72C4773BL, 0xF968671AL, 0x479DFF15L,
-		0x71FCD129L, 0x6E423698L, 0x7D164AC9L, 0x05775F88L,
-		0x40BAA21CL, 0x54983AD9L, 0xE58A79CDL, 0x8081DE2CL,
-		0xBBCF089FL, 0xC22F92E4L, 0x644F37EEL, 0xE6C2F895L,
-		0x36156D6DL, 0x007BA6DBL, 0x62893E96L, 0xC43C2DD4L,
-		0xB458767AL, 0xF7655BE2L, 0x44EC47BBL, 0xA408593CL,
-		0x692ED547L, 0xB5212EBCL, 0x26842D78L, 0x1593E052L,
-		0x31D3BAAAL, 0x65C26C32L, 0x3718EC84L, 0xBB49E8D2L,
-		0xA871F999L, 0x8848EE63L, 0xE957B9C6L, 0xB75ADB60L,
-		0x83AC9603L, 0xE54738A4L, 0xB9D08C05L, 0x7431BDA1L,
-		0x9F29AA05L, 0x02EC4676L, 0x6B2E2DF6L, 0xB3692071L,
-		0x2F394CF2L, 0x21057E7EL, 0xAFA24D83L, 0x0FFFC6D8L,
-		0xAC5DB4ACL, 0x3BB1146DL, 0x34EE3669L, 0x42B6255AL,
-		0x72B299AEL, 0x013A1064L, 0x6EAF685EL, 0x70C2567FL,
-		0x4255AF73L, 0xB8C785B7L, 0x97722E31L, 0x06EE7057L,
-		0xB38B4E40L, 0x9F82DC49L, 0x18EF6B80L, 0x89A5A4E6L,
-		0x288BF724L, 0x47BC9E76L, 0x2B156F37L, 0xDFA3B9EBL,
-		0x7BD09413L, 0xF16345F4L, 0xA01C5042L, 0xAF9E65D7L,
-		0x6C953DA2L, 0xE3DCABC0L, 0xC53B64C4L, 0x5F3F3815L,
-		0xB352DD67L, 0x7EFD50B8L, 0x82DFF301L, 0x93537070L,
-		0x35BC5264L, 0x8234DD52L, 0xF8F7AE32L, 0x39D60BFAL,
-		0x10EA978BL, 0xBCA06773L, 0x0EB60F22L, 0x4AB08AB0L,
-		0xACEAF1CBL, 0x487746B8L, 0x6AE6A895L, 0xFA301CA9L,
-		0xE51A87C5L, 0x25845BC9L, 0xDE9BE899L, 0xF8EB2AD2L,
-		0x03AA322BL, 0x51AB8520L, 0xE23ED118L, 0x099F981AL,
-		0x85B7CA73L, 0xB3336764L, 0x2D04E399L, 0x670C78BBL,
-		0xD6816896L, 0xECAE0B46L, 0x932B8821L, 0x52AC3092L,
-		0xE00FE817L, 0xDD1F63C5L, 0x0ACED210L, 0x8264432BL,
-		0x7D4E7BAFL, 0x9A7A4984L, 0x4BD7ACFDL, 0x3895C28CL,
-		0x6709466FL, 0xB182C19FL, 0x8EDC8894L, 0x38A1B878L,
-		0xFCA6BF04L, 0x6541583AL, 0xC8CD8C2EL, 0xA36CDEB8L,
-		0x2FD21E07L, 0xE593A1E3L, 0x8DB5A17EL, 0x0FACABD7L,
-		0x8E7B8FC9L, 0x57D3EB69L, 0xC774AE72L, 0x431E3BDEL,
-		0x80CC7C71L, 0x3CF9BFE6L, 0x5956ED07L, 0xEB1EE324L,
-		0xB88B5D93L, 0xFA6301F7L, 0xC4C234CAL, 0x83F6F1EDL,
-		0xD9C964D7L, 0x388EB995L, 0x7731A310L, 0x4F505F86L,
-		0xCDE3EAD0L, 0xC40AD829L, 0xE49095FDL, 0x2EEECEF7L,
-		0x96BDF8E8L, 0x80D82F45L, 0xE0371557L, 0xBD517453L,
-		0xFED6C1A2L, 0x98184C10L, 0x547E43DEL, 0x42B3953BL,
-		0x2E28D455L, 0x40786303L, 0x59B1165CL, 0x5A4D7F76L,
-		0x4DEB2E26L, 0x2D34B285L, 0xD99149B9L, 0xEDCF6434L,
-		0x53CB6075L, 0xAF894B39L, 0xB579EF50L, 0xC2A6F57BL,
-		0x0FA31EA7L, 0x924B4D54L, 0xBB8BDB7EL, 0x0F9C94FCL,
-		0x094D1559L, 0x758FF60EL, 0xE7C1BFB1L, 0x8743680EL,
-		0x5424C08BL, 0x0CF9FDA6L, 0xB335CB70L, 0x097224B8L,
-		0x3AC3C72AL, 0x05F1CC87L, 0xF3771F9EL, 0x38BE006BL,
-		0x2904FDA8L, 0xF0AA8F2AL, 0xCCA2DB7CL, 0x652ADFCCL,
-		0xC832F516L, 0x962E44F8L, 0x3CA7461EL, 0x6EF8F7F0L,
-		0xD22AFD1AL, 0x87682BA6L, 0x00C9CACAL, 0x97FA3827L,
-		0x9C519CBDL, 0xC81A32D0L, 0x072F6D60L, 0x8E426F3AL,
-		0x042F7336L, 0x0575600FL, 0x66165956L, 0x354094E6L,
-		0xE4AC912BL, 0x1DC1ECCDL, 0x49B774ECL, 0x3D420E4EL,
-		0xDF180A53L, 0x88C3265BL, 0x3A567873L, 0x93AA0D4AL,
-		0xA7CDDD99L, 0xAFC8BC1AL, 0xFCFECBACL, 0xDCC501B7L,
-		0xA395CA86L, 0x4A9D230AL, 0xD2374407L, 0xC46E134BL,
-		0x7811CD2AL, 0x68ED97E6L, 0xD7568E6EL, 0x861BF14CL,
-		0x62F0D47FL, 0x0F59C3FEL, 0x4B829BF1L, 0x293FC7C7L,
-		0x4921A11AL, 0x462560B2L, 0xEC741441L, 0x7127F765L,
-		0xC614AC1DL, 0x05AE08A0L, 0x468B7DBAL, 0xF1C55EB3L,
-		0xD3FC3EF0L, 0x28B479EFL, 0xC10B0B31L, 0x9EE238C9L,
-		], [
-		0xE118F4D7L, 0x2798B3F4L, 0x42545BE2L, 0xD9ED247CL,
-		0xB92FB25EL, 0x246EF4A1L, 0xEB99AEBDL, 0x8AC04725L,
-		0x5191C6B2L, 0xE0175FAAL, 0xF47A8EA2L, 0x235FD3C8L,
-		0xB10684E6L, 0x4E339580L, 0x3CE330F0L, 0xE4C559F2L,
-		0x50DF2D94L, 0xD485F9D4L, 0x91F2977DL, 0x3FED1C1AL,
-		0xF3DE17BBL, 0xFC13177EL, 0x806469C3L, 0xD76611AFL,
-		0x92CD59FFL, 0x6BCD07B0L, 0xE7341629L, 0x66F81989L,
-		0xFADB40DEL, 0x8A14211BL, 0x53DC26E5L, 0x535C0192L,
-		0x6F833DC1L, 0x8CC167FCL, 0x38794EDDL, 0x9C66E70DL,
-		0x084BEDACL, 0x8A187D43L, 0xC207F53CL, 0xA5B27C77L,
-		0xE736F47EL, 0x372B507BL, 0x0E76EC6CL, 0xEFDD1DB5L,
-		0xCFC2A07BL, 0x86EF4F61L, 0xE478C21EL, 0x4A8FE48AL,
-		0x67BAC844L, 0xFB95C664L, 0xD6BE7A3AL, 0xE6BE7DF9L,
-		0xFCD715BDL, 0x63BD5E38L, 0x317E391CL, 0x9A7CF7CFL,
-		0x96ECAD02L, 0x4C527726L, 0xFF4C9F3BL, 0x23C88A16L,
-		0x6467ECBAL, 0xF8DFBA78L, 0xEDEED374L, 0x101B48BEL,
-		0x5D480ED4L, 0x72FB9C0DL, 0x81BCCF2DL, 0xAFFB6E96L,
-		0x6126926BL, 0x9A17CD19L, 0x529D2F07L, 0x75931666L,
-		0xBFC21100L, 0xBB9948E8L, 0xCE746449L, 0x6D4EDBDDL,
-		0xBCE69147L, 0x7A875A83L, 0xBE0BE015L, 0x0FC107ABL,
-		0xDB6E4751L, 0xC8570AAAL, 0xC141DE73L, 0xA96CEA5BL,
-		0x73E5215FL, 0xB4C29902L, 0x95BE87B5L, 0x90D37878L,
-		0x176A8535L, 0x8754561AL, 0x856F1FB1L, 0x5D9E4F03L,
-		0x4A48A66FL, 0x44722F20L, 0x67EAA8ABL, 0xAC0647B2L,
-		0x183B6745L, 0x1A0C3688L, 0xCC4D63A4L, 0xF8BDA982L,
-		0x9AE345E6L, 0x3595F937L, 0x41351D9CL, 0x834A3450L,
-		0x3411180EL, 0x8350C1C9L, 0xE82EAC98L, 0x4D806942L,
-		0x31660846L, 0x789A983EL, 0xE3457F97L, 0xDD147B8DL,
-		0x21F12FE4L, 0xE65816C8L, 0xB0EC7AA2L, 0x5B478E71L,
-		0x2012A476L, 0xFCA404FFL, 0x321D0295L, 0x80527CC2L,
-		0xF853F521L, 0x21ECF46EL, 0xD176290FL, 0xA2391449L,
-		0x87AB7335L, 0xB1F944A4L, 0x110018B9L, 0xAA1DE292L,
-		0x9C20667DL, 0x5DF58D14L, 0x64D6A6EFL, 0xCFF927DCL,
-		0x19725CD8L, 0xCF5EE5B8L, 0x786F3D31L, 0xA54323B9L,
-		0xC74E94ADL, 0x0E693282L, 0x45EA82DAL, 0x5C6F4CA3L,
-		0xC19D2480L, 0x557D3F26L, 0xA785A9B0L, 0xC46147B6L,
-		0xC70EA375L, 0x48025440L, 0xEB56BA11L, 0xDD8319FAL,
-		0x9137D1A3L, 0xD3E28380L, 0x3C635CDCL, 0x1A4A97B7L,
-		0x7E107EFDL, 0xEEB982C1L, 0xA733CC12L, 0xE537C154L,
-		0x329884FBL, 0x4B7E0AB6L, 0x3909434DL, 0x5E53AA3BL,
-		0x1C180367L, 0xB9119F01L, 0x28E4543DL, 0x4829E282L,
-		0xAECDC2D0L, 0x9C50FAF7L, 0xF8A9F52BL, 0xAB977A08L,
-		0x2C4E00C6L, 0x0CE2BC06L, 0x78DC8F5DL, 0x40311443L,
-		0x0A161DC7L, 0x735238E3L, 0xCE6B04CBL, 0x16C4E378L,
-		0x2ABBBD94L, 0xA9E12DD4L, 0x0B8E93EAL, 0x92FA6A87L,
-		0x80ABCB35L, 0x6542D425L, 0x4D08BB54L, 0x2FFBC5C4L,
-		0xD353B399L, 0x9CAB6D61L, 0x248E1DD4L, 0x1921D1B1L,
-		0x3573198AL, 0x08799608L, 0xF58A0B8FL, 0x7B904FD8L,
-		0xCE377322L, 0x31E4002CL, 0xB2D423E7L, 0x1575273AL,
-		0xD7A1E640L, 0x558990A9L, 0x8A4D240EL, 0x19AB61A7L,
-		0x8A017245L, 0x7255AEFAL, 0x470239CAL, 0x301335CEL,
-		0xD7BB1A28L, 0x5480E033L, 0xFD1AD29FL, 0x3A0CB6C8L,
-		0xA6CEDD31L, 0x7AC0BE04L, 0x0B83358EL, 0x428BE4C9L,
-		0xB8C5730AL, 0x027F05AEL, 0xFDD06859L, 0xBD71FD47L,
-		0xACD5F342L, 0x2EC1EED8L, 0xEE4FB44CL, 0x55321F10L,
-		0xF8DDD5DAL, 0x65CEE0D3L, 0x03D4CB63L, 0x2C99CD6AL,
-		0x97BEA3EAL, 0xAFC5AD1DL, 0x29EE29C6L, 0x4A2E5412L,
-		0x48B416D8L, 0x0ADD302BL, 0x0651EB2BL, 0x3EE320FFL,
-		0xEBBB6A8AL, 0x66E658FDL, 0x5E884ED4L, 0x04A588B3L,
-		0x17806E16L, 0xDABA13BDL, 0xACCE8D50L, 0x5E6A0787L,
-		0x192CF341L, 0x459619D0L, 0x5D26A6E9L, 0x24F1EA8EL,
-		0xC0033888L, 0x89D57C64L, 0x67BFDD91L, 0x294650CFL,
-		0x1E382818L, 0x16E5BF8BL, 0xF81B69BBL, 0xC0AA7502L,
-		0x4789CDBDL, 0xBD226C19L, 0xFD7F86C6L, 0xA9E91992L,
-		], [
-		0x02FCBE7EL, 0xB1742192L, 0x2C82B659L, 0x7ECE1735L,
-		0x03BCA927L, 0xD3A57CA5L, 0x2569AFE4L, 0xF8EBE6BEL,
-		0x0CCF4DD2L, 0x92BE8800L, 0x8B26F190L, 0x369C6A52L,
-		0xAB0B051DL, 0x73013C18L, 0x025D73D7L, 0x45EFF58DL,
-		0x8B9442DAL, 0xFC6BF4F2L, 0x3ED43E84L, 0xCEA0D696L,
-		0x0AE92C9EL, 0xAD9D6B55L, 0x59DEAAC5L, 0x0A911794L,
-		0x8CDE196BL, 0xBC15F987L, 0xF4BC74CEL, 0xA103A926L,
-		0x402D97D9L, 0x5B3FBB24L, 0x562B5E31L, 0x0E761D96L,
-		0x0412A8CBL, 0x7C4EED95L, 0x4858BE2AL, 0x462079D2L,
-		0xC89205C1L, 0x3A8AF277L, 0xB6CDC841L, 0xFC6B5622L,
-		0xD64C47FEL, 0xFFB8B396L, 0x3D69D511L, 0x0A0E2B1FL,
-		0x3C021360L, 0x54F538EFL, 0xA3DFE23EL, 0x15622AF9L,
-		0x2415F4D1L, 0x054CA35FL, 0x72CAEB9BL, 0x3707293CL,
-		0x2DF3D6DEL, 0xA804031AL, 0x47F1079FL, 0x6DE89C53L,
-		0xEA9F4F28L, 0x978180DAL, 0x37622050L, 0xB851FF08L,
-		0x4047F217L, 0x0F0E2CCEL, 0xB1C3116BL, 0x3F8D15EBL,
-		0xA2CC762BL, 0x08C80F91L, 0x736C5EB8L, 0x490CC4EEL,
-		0x89AA3F40L, 0x79DFDB55L, 0x2D380657L, 0xB408D03AL,
-		0xC9B3A005L, 0x0F820E52L, 0x147EBD51L, 0x9E5C58F6L,
-		0x44BE28ECL, 0x41F94A32L, 0x8F4E3FAEL, 0x17C8F050L,
-		0x996E469EL, 0x3BF314EAL, 0x94A25ED6L, 0xADA9884DL,
-		0xF9B26B73L, 0xA5A8D08DL, 0x067E20EFL, 0xE5D74853L,
-		0xD4AAB2D2L, 0x31BC53F8L, 0xE1C22526L, 0x5327C7E4L,
-		0x5F978CBDL, 0x8C3FBF16L, 0x29DA5564L, 0xA2F5013FL,
-		0xF4EE1993L, 0x9E093D29L, 0xD46BFE45L, 0xB6D13F5AL,
-		0xD3A6AFE1L, 0x7EA7F797L, 0x2E040A9AL, 0x8194DADFL,
-		0x1D5B80C9L, 0xC7DB9F6AL, 0xE1417AC0L, 0x2D50CC5AL,
-		0x57B5EBA3L, 0xCF32EDF0L, 0xF8D83387L, 0x7E8B8824L,
-		0xEB1DE85EL, 0x492CC06CL, 0xC725696AL, 0xEC3DC45FL,
-		0x5F0F056CL, 0xABD26747L, 0x0D780B40L, 0xCFD2F9C6L,
-		0x8093F2EEL, 0x267E4003L, 0xCDE2C3E2L, 0x740DDEFAL,
-		0x5097AD8BL, 0x93E36A1DL, 0xC147AF55L, 0x9A9468D5L,
-		0xFE6F3162L, 0x30F1FFCEL, 0xA839D23BL, 0xA73D564CL,
-		0x2EA7CDEEL, 0xA30911F8L, 0xA0C9BC12L, 0xAA5CCB73L,
-		0x22A031C2L, 0xA7ECA526L, 0xAAE5E010L, 0x7D0E0860L,
-		0xE91ABFC1L, 0x77A4356FL, 0x52241FF6L, 0x05A7E88DL,
-		0x6AB3284FL, 0x7723DDB5L, 0x089D2E69L, 0x379C6849L,
-		0x48288FEAL, 0xCD775912L, 0xA78ADE09L, 0xBFB3B0A8L,
-		0x4DC0D418L, 0x18E168AAL, 0xAAEA906BL, 0x4C7ED12AL,
-		0x25C516D7L, 0xB57EDB32L, 0xC6085EADL, 0x2E167DBCL,
-		0xD6022FF7L, 0x03E9789AL, 0x77093101L, 0x96E5C164L,
-		0x79FF7C67L, 0x405A19E0L, 0xC9953625L, 0x089D6F11L,
-		0xAA33889EL, 0x15226D51L, 0x420F875CL, 0x4D410060L,
-		0x2080F0D0L, 0x80F8637DL, 0x2D4A744BL, 0x3C6E111FL,
-		0x6BB180AFL, 0xD34D2BC9L, 0x383CC15BL, 0x57DC08ABL,
-		0x9FB53B87L, 0x3A77355CL, 0x918015A1L, 0x173419CBL,
-		0x1B038AD9L, 0x76D732E1L, 0x72002F88L, 0x46FA30EEL,
-		0x2E7DC897L, 0xF7381D98L, 0x986E6C95L, 0xD6F5CF1CL,
-		0xAC883E83L, 0xB377E55EL, 0x10E237C0L, 0xA0B97E64L,
-		0xBC74D2FFL, 0xDF872755L, 0xDB9B7B2EL, 0x7BC42F65L,
-		0x98CCEE93L, 0xD12CEEE0L, 0x6EEFC082L, 0xCAC459E2L,
-		0x13743941L, 0x91530E55L, 0xBF08152EL, 0x0602F916L,
-		0x112B9722L, 0x800C4260L, 0x9A0FE35FL, 0xB41E5E75L,
-		0x178F26FFL, 0x559EFABCL, 0xDBC78FB8L, 0xC3106FB9L,
-		0xE14D2198L, 0x087426C6L, 0xC572EF86L, 0xA06A7C34L,
-		0x452D2728L, 0x94BC2C33L, 0x02DEEB20L, 0x93DF2841L,
-		0xCF977309L, 0xF14D502DL, 0x1D0AB1E0L, 0x0B8C8A41L,
-		0xAA4A1ABBL, 0x23ECC44BL, 0x8673D9FAL, 0x77BB09DAL,
-		0x3861A5FBL, 0xBE07623BL, 0x1AF70D5EL, 0xCAB2FC68L,
-		0xF68259F7L, 0x3B19CE04L, 0x835C17F2L, 0x02057704L,
-		0xA28E359DL, 0xA503CBAAL, 0xE8CC5DADL, 0xBDF56D50L,
-		0xC21E6D24L, 0x32C1C388L, 0x4567C294L, 0x48A697AEL,
-		0x58EB98E7L, 0xC40DB54EL, 0xE63EC482L, 0xBB2A71EEL,
-		0xC609DE0EL, 0x478CA573L, 0x01CC8170L, 0xB1BC5ED8L,
-		]]
+0xD917FE9FL, 0x0415253BL, 0x083ED0BEL, 0xE8FDFF96L, 0xF160743CL, 0x0A2A426CL,
+0x8B4C86A0L, 0x239474CEL, 0xCA0CCA8FL, 0x4CB2A8A0L, 0x5F2D5947L, 0xE7DF1D06L,
+0xED666D53L, 0xCDE0F6AAL, 0x4F5136FEL, 0xAD78E4C9L, 0x36695B87L, 0x7512CA0FL,
+0x7A3AFCA8L, 0x92BE5537L, 0x586E9827L, 0x6CD158CDL, 0x3ABEC6C1L, 0x844E3243L,
+0xF4F6DA5DL, 0x070021EFL, 0xFFCF8CEFL, 0x2636B763L, 0x2E1150F3L, 0xDE157BEFL,
+0xB3AE8FDCL, 0xA402474CL, 0x9B1E8377L, 0x14C51EA4L, 0x7E90973AL, 0x52087D2CL,
+0xC08FD313L, 0x43CA6149L, 0xE340346BL, 0x083198CAL, 0x6430D9F8L, 0xA64E607FL,
+0x540CC1C6L, 0x4E5160FFL, 0xB2513F00L, 0xF98F447AL, 0x810ABF6BL, 0x9096855BL,
+0x9AE434FDL, 0x1A01BD81L, 0x3E300842L, 0x61C50018L, 0x4B28DB32L, 0x4CB09631L,
+0xFFA521DAL, 0x14CC2650L, 0x48F807FAL, 0xC4FAA6C0L, 0xDE6A7678L, 0xE709BF2FL,
+0xC175D659L, 0x5F23843CL, 0xF07A01FEL, 0x2739FB7EL, 0x8C5A36A9L, 0xB0EADEA6L,
+0x8B4FBFD8L, 0x4BE3679EL, 0xD5F24F61L, 0x3A158ECEL, 0x329676B4L, 0x33F9ABC2L,
+0xD4907F47L, 0x5F354B2EL, 0xFB92B109L, 0x31EEAE70L, 0xE9EAC38DL, 0x91DCC642L,
+0xE173298BL, 0x051E8AE8L, 0x2843FAFBL, 0xB387F8D1L, 0x980AD6AAL, 0x6EC6DE49L,
+0xE9D49EF3L, 0xAFC06576L, 0x3FD70CF0L, 0x269AAFD3L, 0x7827EFBAL, 0xA51ADEBEL,
+0x75F014CFL, 0xBA91772BL, 0x8ABAC12DL, 0xD6C98EA7L, 0x66546028L, 0x6D50E0AEL,
+0x5C9D3C92L, 0x8095947AL, 0xF7CCE938L, 0x0D952ADAL, 0xE5E64966L, 0x5E357512L,
+0x5A7E0958L, 0x44BEB107L, 0xED03D60EL, 0x1D652EFFL, 0x2275EA01L, 0x736831C3L,
+0xAA8B2A23L, 0x50D29632L, 0xD6CFD665L, 0x5CD7CED2L, 0x65BB97FEL, 0x2F49D183L,
+0xC09EC338L, 0x84A8DCBEL, 0xEFF624AFL, 0xC7C1B0B5L, 0xCDFE1163L, 0x6751E288L,
+0x8B96D144L, 0xE09AB660L, 0xE91BAE11L, 0x1D097DF5L, 0x6742E0A6L, 0x53500F63L,
+0xAB090438L, 0x4040F128L, 0xE4EFB0E0L, 0x2DE74905L, 0xFC2262C0L, 0xF4FFD6E0L,
+0xDADDDEC1L, 0xF1E0D8C0L, 0x36FBD004L, 0xEC1DE306L, 0xA19826B4L, 0xBFAF36C7L,
+0x516777B2L, 0x7B7C5DC6L, 0xD9758DACL, 0xCD33563DL, 0x0B83FC22L, 0xB55DEB5EL,
+0x9ACF93D2L, 0x2A7B90ABL, 0xED8A4449L, 0xEA1CF38AL, 0x5AB412A8L, 0x924F9E21L,
+0x44FBDDA1L, 0xE99C321AL, 0x5908C6CEL, 0xEE748C6DL, 0x124D6B51L, 0x7B05962CL,
+0x41D9FA9DL, 0xCCB14DBDL, 0x47FA3D9FL, 0xC68104F6L, 0x511C7864L, 0xAB06E6CDL,
+0x43FE0F54L, 0xA8331C3AL, 0x7237FEE4L, 0x41A782A1L, 0xFEA2C7F8L, 0x2A0E9509L,
+0xB2224704L, 0x30BD541CL, 0xE177C904L, 0xF52AADD8L, 0xEA244EA8L, 0x44E8F3A1L,
+0x3B0EC183L, 0x1D2934A1L, 0x5F550EA5L, 0x0B3E4620L, 0x94006D67L, 0xCF719E7DL,
+0xC0362EA3L, 0x1DD05063L, 0x21E557B0L, 0x34A1DFB1L, 0x1D8582EDL, 0xA9CC3B68L,
+0xCA7F7766L, 0x8876E7B0L, 0x98AAF1A3L, 0x8C7B4649L, 0x2BBD4F71L, 0x0CFED7D5L,
+0x10336484L, 0xBAABD1D2L, 0x0DB5C3F3L, 0x250E18F3L, 0x8A683DBBL, 0x46D87FC0L,
+0x447C934EL, 0xB8A5178EL, 0xCD83EEC2L, 0x82053D3FL, 0xA6172A7CL, 0xCE4B68E0L,
+0x50BFC9AFL, 0xA0C2BECBL, 0x69F8DE09L, 0x1BCC95C6L, 0xCC8D91A3L, 0xE6DB39E3L,
+0xA1FCE775L, 0xA3B597DFL, 0x111CD9BEL, 0x26A5F501L, 0x56FCF9E1L, 0x2269E3B4L,
+0xAE97B607L, 0x04DFD213L, 0xD2502840L, 0x20A4DA45L, 0x58EA780EL, 0x6AC470A2L,
+0xFC90AA5BL, 0x0CF03917L, 0x077DEC5CL, 0xF87A2BB2L, 0xA8BFD2B7L, 0x29CA7541L,
+0x6CEE0D2AL, 0x7E592E80L, 0x5CA17FD7L, 0x2DEB3F06L, 0x070F47B7L, 0xF106EA36L,
+0x49A80A00L, 0xC34E6467L, 0xE537C2C5L, 0x23332658L, 0x00226F13L, 0x67E82FF4L,
+0x18126492L, 0x36E2C3B8L, 0x34FB0831L, 0x2AB02E28L, 0x24FECC70L, 0x0E6E9168L,
+0x86EC355EL, 0x34D09F1AL, 0x343EEA56L, 0x324CA69CL, 0xDD85FDE3L, 0x228935F6L,
+0x3E520289L, 0xC06612ACL, 0xA6FDB351L, 0x29769037L,
+],[
+0xA1ED8646L, 0x78B0F130L, 0xB80E4F6DL, 0xB3F25B0DL, 0xA1AF13EEL, 0xFB71D142L,
+0xED6CC1D8L, 0x4EAE4AFFL, 0x5C31D7AAL, 0x04DE3FBBL, 0x8D29E45DL, 0x8148FC65L,
+0x6BAACD11L, 0x615D39AEL, 0x87655C9FL, 0x226F4F08L, 0x232A7047L, 0x7287D274L,
+0xF078C150L, 0xBCD9C5B5L, 0xE2F4010AL, 0x000D95AFL, 0x2A9FDA25L, 0xB4CE09D8L,
+0x1FAFF986L, 0x3276A088L, 0x65DF02B1L, 0xF9B75FE7L, 0x58145A9EL, 0xE2F93A2CL,
+0xDD170A40L, 0xE6088DC2L, 0xD6766114L, 0x88D8995EL, 0x429AFEEAL, 0xFEB7E26CL,
+0x4C41D510L, 0x4B1509B2L, 0x5445A40FL, 0x26B14A90L, 0xF3D465D4L, 0x20F710ACL,
+0xC80BBFE8L, 0xBA9C1ABCL, 0xF807EF33L, 0xFF107E9EL, 0xC171F48EL, 0x2AC2EE26L,
+0x8E68407AL, 0x01DC082FL, 0xCBC10314L, 0x1F193C51L, 0xDDFF57FFL, 0x84494A20L,
+0x02C89B2BL, 0xCC8B55C4L, 0xF2E568A1L, 0xC52F326BL, 0xFD4827D5L, 0x6C3F05E5L,
+0xA3E5B47DL, 0x6A2DA767L, 0x832A6751L, 0x055985DFL, 0x27D5A6CDL, 0xEEB25748L,
+0xE60EAECEL, 0x5BEA030FL, 0x1E36551AL, 0xE18AB6E8L, 0xCAE0C750L, 0x06A76E82L,
+0xCC562165L, 0xD45F5C2BL, 0x7F16470CL, 0xA8D495F5L, 0xEA204FC7L, 0x3E9F4AC3L,
+0xF408527FL, 0x9C2464D2L, 0x2322FF71L, 0x0C629EE9L, 0x72FBE895L, 0x622638DAL,
+0xE5737C33L, 0x0E5A0207L, 0x1CB77EC7L, 0xEF12CDCAL, 0x3D6A066CL, 0x1FD05DDDL,
+0x16654480L, 0xE98719B2L, 0x8CB9129FL, 0xAD2C07E4L, 0xA7E0D2DAL, 0x95AD3088L,
+0x770BE826L, 0x33353308L, 0xDB053D32L, 0xFBEEA722L, 0xA0FBD4C3L, 0xCD57A408L,
+0xAA1BBCABL, 0x013D007DL, 0x25288D7BL, 0x5D45778AL, 0x904C200BL, 0x6CC8B50DL,
+0x03E0996DL, 0x1ECF9F23L, 0x446B1877L, 0x716FE26CL, 0x0663DF9EL, 0x5AFB6E28L,
+0x2715440BL, 0x42488497L, 0xBF39BE28L, 0x4B227B91L, 0x02573AC5L, 0x0114691FL,
+0x96148EE7L, 0x762D908DL, 0xAEBE6962L, 0x534755F5L, 0xFD0E05D7L, 0x050F9096L,
+0x56F2F735L, 0xC773AF72L, 0x9BAEFDEEL, 0x4FD21579L, 0x9673784AL, 0x3A7C8E5BL,
+0xF8255977L, 0xC6735487L, 0x9FDD06F2L, 0xF5E93C50L, 0x745E3507L, 0xC4498EF9L,
+0x5F590D15L, 0xB112137BL, 0xC1BA3760L, 0x6BC2F1E3L, 0xCE91D9A8L, 0xFB586E03L,
+0x2915F799L, 0x81026163L, 0x1B4A8994L, 0xF25FF806L, 0x3183173BL, 0xD217BA20L,
+0x7F0D4F8DL, 0x95002D07L, 0x5B8BC8DFL, 0x1FE178EBL, 0x27FAA511L, 0x60FCABA7L,
+0x21B9C00CL, 0x615E4AB3L, 0x94D6179CL, 0xED295168L, 0x2DD86730L, 0xF1C2EE31L,
+0xC9540C67L, 0xA5615927L, 0xC4CC60E1L, 0xF67AEE70L, 0x34931ADCL, 0xDA931D9EL,
+0xB2A5B2BEL, 0x3DDAF5E6L, 0xCD95D8D2L, 0x11246601L, 0x7095EC8AL, 0x7D88B394L,
+0xD753A26BL, 0x19B4623BL, 0x84FEE91FL, 0x1DF96B85L, 0x5B95035CL, 0xE2E7C21FL,
+0xD8D6C558L, 0x01A7D03AL, 0xFBCE3DA8L, 0x674E7949L, 0xE4E96BDFL, 0x7AF510D4L,
+0x826B49F1L, 0x772AEC6FL, 0x1F82EF58L, 0xF42CC2FBL, 0x4B2FB5A4L, 0x71B410DFL,
+0x0D8BB5BAL, 0x73BB0DABL, 0xEC4A1DD8L, 0xD4414C41L, 0x9CDAF740L, 0x9ADE7B33L,
+0x305838A8L, 0xB3F26A28L, 0xEC562623L, 0x167CFC51L, 0x0FCAA250L, 0x041D6B62L,
+0x62985581L, 0x4B3221FCL, 0x9883BD0AL, 0x8390FB46L, 0x0F0EAD1AL, 0xB7616F50L,
+0xA06DFC58L, 0xFC7556FDL, 0x8CED7720L, 0xFA64F6A3L, 0x34A2DD7DL, 0x1EE5850CL,
+0xFD381171L, 0x6D7360CEL, 0x7E514232L, 0x0B4D50C5L, 0x46526E7CL, 0x86B62C41L,
+0xB2CCB005L, 0xE9311084L, 0x870725C6L, 0x9B9DFEA5L, 0xDCE6D317L, 0xB0CA67DFL,
+0xF1D69CF0L, 0xD0C6AE15L, 0xB3B54912L, 0xF42DF9E7L, 0x3B8D6173L, 0x6179EBADL,
+0xD3B3888DL, 0x4F626FE0L, 0x1CC8DD99L, 0x02277661L, 0xBA6C2685L, 0xAF4BC7A7L,
+0xEA71D285L, 0x152E2B03L, 0xCCD6AD79L, 0xE917EF56L, 0xA497FD72L, 0x2C3C919CL,
+0x6323E338L, 0x0A2022C9L, 0x3ECED49DL, 0xE53B92AFL, 0xFACA03C8L, 0xA0DF19B3L,
+0xE62C51BDL, 0x794D9BE6L, 0xF216CFF6L, 0xAA5199AAL,
+],[
+0x3E5AA0D2L, 0xF96F565AL, 0x064BC237L, 0x2830A191L, 0xAFFB6585L, 0x6A51E367L,
+0xDB3EF2CEL, 0x12A17DE6L, 0x80ACC70FL, 0xE2D77575L, 0x7F88930FL, 0xEEC1DBBDL,
+0x2C15DFB2L, 0xCCBD0F94L, 0xF01B5F96L, 0xEC7E7426L, 0xB6C6DF58L, 0x4FE08F4BL,
+0xFFB86D7DL, 0x3BBDD4C4L, 0xFC6F23D2L, 0x0BD775C8L, 0x5E3DD3CCL, 0x2BAC2395L,
+0xB9BD4BA1L, 0x30BD0740L, 0x0E58E7B6L, 0x6C094B5CL, 0xCE85A2CFL, 0x951BD527L,
+0x610AE7E6L, 0x6D86F9BBL, 0x696BB5F3L, 0x674C8334L, 0xCE79ACC5L, 0xE2E54B67L,
+0xC0DE1898L, 0xAD0828DBL, 0x438192C5L, 0xC3656E96L, 0xA355D723L, 0xB75002F4L,
+0xD4888A0FL, 0xBD8B83D6L, 0x730918E2L, 0xD2D05B7EL, 0x170624B9L, 0x297B861CL,
+0xE1F25E81L, 0x8ACCC690L, 0xECAFF183L, 0xDBFF3F92L, 0xEC22E420L, 0x0DD6C55CL,
+0xA9B6B7BBL, 0x04899DE1L, 0xF959D8D6L, 0xF74AC6D2L, 0xDF676B4CL, 0xB985D5EEL,
+0x18990A77L, 0x86606AC5L, 0xFD5A8957L, 0x0680250BL, 0x41356702L, 0x5F3FDDA3L,
+0x2BB36DB9L, 0xCA062524L, 0x6BCC3124L, 0x782FB20EL, 0x8A1A2732L, 0x2955EE9AL,
+0xAFAE9471L, 0x6C53772FL, 0x896B0EACL, 0x0EAB16A1L, 0x0C9F8C5BL, 0xC748E075L,
+0xF35A1A15L, 0xF9020B17L, 0xAC725870L, 0x170D5AC5L, 0x83CE7896L, 0xE2770702L,
+0x687B4649L, 0x23546539L, 0x4938AA52L, 0x32EDFD40L, 0xEF1D620CL, 0x4A5A8820L,
+0x59F3BC4FL, 0x6D38E7C3L, 0xFF119588L, 0x1A08B636L, 0x7237B812L, 0x2609D6C1L,
+0x109472B1L, 0x532E58EAL, 0x98673821L, 0x26B1CA99L, 0x629C045AL, 0x2C5FD013L,
+0xD05CF784L, 0x8F46DB43L, 0x68B7E93DL, 0x7A27CBD9L, 0xA10B75CAL, 0x20008840L,
+0x12E62425L, 0x1D4CD600L, 0x89BBF2E0L, 0x6BA62E06L, 0x19732774L, 0x3B0E85ECL,
+0x7388BB95L, 0x641F1A5DL, 0xF8FFCE8EL, 0x35E0D842L, 0xDC3C21D0L, 0x91422DDBL,
+0x6AB513BCL, 0x4D1892D8L, 0xB53BB759L, 0x23425BF1L, 0x605FD0E5L, 0xBF2F5BEEL,
+0x8A05A13EL, 0x7222CE88L, 0x20940E3BL, 0xABC87F9DL, 0x550E24F5L, 0x8313E1D2L,
+0x11BE3DC1L, 0x7EB6F965L, 0x7C47B1F7L, 0xFCDC0754L, 0xB2017D7BL, 0x25E22B97L,
+0x8719F66FL, 0x34B61812L, 0x9A8A7692L, 0xC95DD310L, 0x9E190BFFL, 0x4CD4C251L,
+0x9C1EB6EDL, 0x5E3192FCL, 0xFA3ED1E8L, 0x0902229BL, 0xCC268599L, 0xF980272BL,
+0x9D553D7EL, 0x1A8214E8L, 0x3AB98766L, 0xE9E10BECL, 0xB3292413L, 0x19703684L,
+0xA8140260L, 0x25607509L, 0x7AB4E61BL, 0xA94BC1C8L, 0x7B2D5121L, 0x0D88D70BL,
+0x5BC32663L, 0xA7460604L, 0x92434D63L, 0xC24C3F63L, 0xC9A266DFL, 0xF7223A28L,
+0x51EB733DL, 0x9AB11960L, 0x8D9A8C0CL, 0x6C7E447FL, 0x1670F2F1L, 0x361E64D7L,
+0x4E3D881EL, 0x2FE9E812L, 0xF65E5C7BL, 0x4673ABF7L, 0xC9C68A51L, 0x711DD24AL,
+0xC6E0BE5EL, 0x646E5DC8L, 0xFD62FCE4L, 0x59A70E4AL, 0xB78295A9L, 0x6CFC4D09L,
+0xFDDF41D9L, 0xCAD9CB46L, 0xED7E3A82L, 0xCC8397A0L, 0x00F02E2EL, 0xBB8BB1AEL,
+0xB040785DL, 0x7B14FBF1L, 0x315BB31CL, 0x6F877F42L, 0x7A7A7183L, 0x59FBEA58L,
+0x8D20F0BDL, 0x8FD197FDL, 0x5D546F76L, 0xEE4EB057L, 0xE39F6B57L, 0x37A024B9L,
+0x173BBC5FL, 0x87EA8A22L, 0xB9A1C2D6L, 0x8ED44DECL, 0xC7EADA8AL, 0x9826C929L,
+0xE64931E9L, 0xC82801B2L, 0xCEA9ACFBL, 0xDA2794CCL, 0xEB1C7B8EL, 0x089C36C5L,
+0xAFF20D63L, 0x032CD6CFL, 0x92B2F7D8L, 0xC6E42489L, 0x08E0C40BL, 0x5ADC848AL,
+0xBE4E086FL, 0x1AE7F83DL, 0xA9F60F15L, 0x18B42CF4L, 0xEB99DC92L, 0xD09EEE99L,
+0x882DF495L, 0xB74CA126L, 0xC2C820DBL, 0x52376742L, 0x740DEAE3L, 0xF2161725L,
+0x99C20F21L, 0x36A14E35L, 0xD534F963L, 0xEBF3937EL, 0xAD22797DL, 0xFA6C6B3BL,
+0x67BAD23FL, 0x38970AA6L, 0xE0B96D89L, 0x8631EF0BL, 0xF03B322EL, 0xB862966CL,
+0x144A396BL, 0x1A3596C1L, 0x51C09C59L, 0xC727B69EL, 0x08A35938L, 0xFE775D68L,
+0xF8895727L, 0xBB2406AFL, 0x0002D523L, 0x114F3521L,
+],[
+0xFCE0BA62L, 0x9B580728L, 0x4F06FAD8L, 0x555A12D4L, 0x3E5AE7C3L, 0x1C5AB0ADL,
+0x40178012L, 0xF97BE132L, 0xF9B812A9L, 0xCD6130B0L, 0xCEA6DB01L, 0x971C027EL,
+0x10E9FBEBL, 0xB03CE073L, 0x6C055C20L, 0x4A66F807L, 0x6291922AL, 0x963ABEDAL,
+0x5FB257B1L, 0x98B9F263L, 0xC738F134L, 0xEFFA1C2AL, 0x474E545BL, 0x444CB3B0L,
+0x0862DC34L, 0x6139AD94L, 0x460E3C6FL, 0xB7B67E78L, 0x9C0009E0L, 0x3279C1B7L,
+0xF3B41E35L, 0xF3CCB7C2L, 0xB2AFB6C8L, 0x433D7759L, 0xC59D628FL, 0xF758FC32L,
+0x0B1958D0L, 0xC5CB3696L, 0x762C9D08L, 0x8DCA2135L, 0x5C9D8146L, 0x9857DEA0L,
+0xF845D21EL, 0x4B4A6137L, 0x703E9861L, 0x27E16DEAL, 0xCD4353B3L, 0x1C5F8A22L,
+0x087A6C54L, 0x02097452L, 0x6129E803L, 0x13FA9CB8L, 0x10323CBDL, 0xAF282A80L,
+0x4C362D15L, 0x73A06D5CL, 0x3A016509L, 0x65576942L, 0xD05FF2D6L, 0xD56E287AL,
+0x3F1D2104L, 0x2220DBCFL, 0x1A8C1898L, 0xB0732BF5L, 0x87481E45L, 0xAAD604A9L,
+0x31F4A6B7L, 0x9A769BBCL, 0xB4EAC9D8L, 0xFF7D0A36L, 0x68EB7E5EL, 0xFF61448CL,
+0xA3D67379L, 0x4B36FA6CL, 0x220EA259L, 0x70344744L, 0x41B18739L, 0x4D1D613EL,
+0x64DE7065L, 0x726386F0L, 0xDB9E34A0L, 0xC4A48D66L, 0xECAA7940L, 0x9CB2B38DL,
+0x1C51D989L, 0x9D9D47C7L, 0x51A92095L, 0x940DA179L, 0xE2A2B9E2L, 0x05ADE31AL,
+0xEE6B7C6DL, 0xF7B95A8FL, 0x7DE793F0L, 0x32030AAAL, 0x353E0AD8L, 0xABDEB660L,
+0xC08E3257L, 0x9C434B65L, 0xE0BE2547L, 0x6AD549BFL, 0x78B33263L, 0x576AD11CL,
+0x7B59868CL, 0xC14C15FDL, 0xABCAF02FL, 0xDF9062C8L, 0x864FAB21L, 0x661DFDBDL,
+0xAF3ED0A1L, 0xDBF4788AL, 0x572E40B7L, 0x0125B278L, 0xB38CE858L, 0x7B3E4F56L,
+0x3DA41EF9L, 0x7FA73018L, 0x42097E40L, 0x23E2372BL, 0x66BDD881L, 0x566E3049L,
+0x6D0BA8C6L, 0x82ABC0A9L, 0xEA0F3332L, 0x91867254L, 0xE122E5A3L, 0x6721E2F4L,
+0xB58AF103L, 0xC83F6ABBL, 0x5AC34206L, 0x677A5C26L, 0xEA19BAEFL, 0xDFA6DFB1L,
+0x11E0B3DFL, 0xD8238967L, 0x22AB2A52L, 0xAD800D8BL, 0x7EFF0B14L, 0xBA38161FL,
+0x0464AFB0L, 0x9137F1CAL, 0x8B1778BBL, 0x937367E5L, 0x69C65AC1L, 0xCD0ACEACL,
+0xEAF76E7DL, 0xEF1596A4L, 0x0BA74934L, 0x23157AE4L, 0xB7A151A0L, 0x39333E4CL,
+0xE016BA38L, 0x9AFC2062L, 0x4EE00DF0L, 0x60852091L, 0x32165EBFL, 0xC33DA8FEL,
+0xC5C89B6FL, 0xE28312F6L, 0x5EDF8D22L, 0x45F821A0L, 0xF62FFED8L, 0xD1E7494EL,
+0x85E8132CL, 0xB137DC87L, 0x6800BF67L, 0xD648B744L, 0x30A6FA8BL, 0x4392C76AL,
+0xC41FB333L, 0x717E4103L, 0xD2A01FB3L, 0xF5572AFBL, 0x2BB6E1FEL, 0xC5830CB9L,
+0x0E4AA1B4L, 0xE27B1223L, 0x01A28090L, 0x21674712L, 0xE65378FCL, 0x76B04D74L,
+0xB30885BFL, 0xC1894800L, 0x399428EEL, 0x976BA25DL, 0x2ABD29E6L, 0xD3189CADL,
+0xF6D2D0F6L, 0x55A17317L, 0xAF1E8DF2L, 0xECBA699FL, 0xC9A6F1EEL, 0x662F5B28L,
+0xF16261CEL, 0x77411859L, 0x5018AA12L, 0xFABEFBF5L, 0xD5DEF730L, 0x9979BE47L,
+0x43354449L, 0xC4C699EFL, 0x8F1556C9L, 0xFEEB944EL, 0xC73D9B33L, 0x85CEF02DL,
+0xEE8215C0L, 0x920E5437L, 0x60C8C2C2L, 0x5EAA9EB3L, 0xF03605A5L, 0x8B607885L,
+0x021894CCL, 0x2E855034L, 0xED8A21DEL, 0xB4025DD3L, 0x5B6D2326L, 0xBE953409L,
+0xE78C2FD0L, 0xC9D04C2FL, 0xCDE0ED2DL, 0x3CA468B4L, 0xF21E9A54L, 0x16C486C9L,
+0x6A4B7834L, 0x7DCE3D37L, 0x79B9B2D6L, 0x8110817AL, 0xBCDA6EBDL, 0xA3FAA681L,
+0x7054A90CL, 0x1144971FL, 0xD5487688L, 0x84D7760EL, 0x571114FAL, 0x4EE4C565L,
+0x1940E6E8L, 0xF7960077L, 0xC0453E75L, 0x57A2F234L, 0x07BF50DAL, 0x33FD5F36L,
+0x0133C1C1L, 0x340EB759L, 0xA3AC3E07L, 0x7ECEA617L, 0xE220D43DL, 0x20680396L,
+0xEF9A1430L, 0x21C8D51AL, 0x513A1648L, 0x55A9D9A8L, 0xB32595FFL, 0x81767024L,
+0x57CD5E89L, 0x8C53DB62L, 0x368B41CCL, 0xAF56D83EL,
+]]

=== modified file 'pithos/pithosconfig.py'
--- pithos/pithosconfig.py	2010-10-11 15:54:28 +0000
+++ pithos/pithosconfig.py	2010-10-31 11:38:06 +0000
@@ -19,7 +19,7 @@
 __pithos_data_directory__ = '../data/'
 __license__ = 'GPL-3'
 
-VERSION = '0.3.1'
+VERSION = '0.3.5'
 
 
 import os

=== added file 'pithos/plugins/screensaver_pause.py'
--- pithos/plugins/screensaver_pause.py	1970-01-01 00:00:00 +0000
+++ pithos/plugins/screensaver_pause.py	2010-10-31 11:38:06 +0000
@@ -0,0 +1,62 @@
+# -*- coding: utf-8; tab-width: 4; indent-tabs-mode: nil; -*-
+### BEGIN LICENSE
+# Copyright (C) 2010 Kevin Mehall <km@kevinmehall.net>
+#This program is free software: you can redistribute it and/or modify it 
+#under the terms of the GNU General Public License version 3, as published 
+#by the Free Software Foundation.
+#
+#This program is distributed in the hope that it will be useful, but 
+#WITHOUT ANY WARRANTY; without even the implied warranties of 
+#MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
+#PURPOSE.  See the GNU General Public License for more details.
+#
+#You should have received a copy of the GNU General Public License along 
+#with this program.  If not, see <http://www.gnu.org/licenses/>.
+### END LICENSE
+
+from pithos.plugin import PithosPlugin
+import dbus
+import logging
+
+
+class ScreenSaverPausePlugin(PithosPlugin):
+    preference = 'enable_screensaverpause'
+    
+    def bind_session_bus(self):
+        try:
+            self.session_bus = dbus.SessionBus()
+            return True
+        except dbus.DBusException:
+            return False
+        
+    def on_enable(self):
+        self.bind_session_bus() or logging.error("Could not bind session bus")
+        self.connect_events() or logging.error("Could not connect events")
+
+    def on_disable(self):
+        self.disconnect_events()
+        self.session_bus = None
+
+    def connect_events(self):
+        try:
+            self.session_bus.add_signal_receiver(self.playPause, 'ActiveChanged', 'org.gnome.ScreenSaver')
+            return True
+        except dbus.DBusException:
+            logging.info("Enable failed")
+            return False
+
+    def disconnect_events(self):
+        try:
+            self.session_bus.remove_signal_receiver(self.playPause, 'ActiveChanged', 'org.gnome.ScreenSaver')
+            return True
+        except dbus.DBusException:
+            return False
+            
+    
+    def playPause(self,state):
+        if not state:
+            if self.wasplaying:
+                self.window.user_play()
+        else:
+            self.wasplaying = self.window.playing
+            self.window.pause()

=== added file 'release.sh'
--- release.sh	1970-01-01 00:00:00 +0000
+++ release.sh	2010-10-31 11:38:06 +0000
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+REVNO=$(bzr revno)
+VERSIONBASE=$(python pithos/pithosconfig.py)
+VERSION="$VERSIONBASE~bzr$REVNO"
+
+# Delete and regenerate debian/changelog
+# Yes, I know there are Debian people who would kill me for this,
+# but it's ridiculous to keep a changelog in a file tracked by bzr
+# All I want is a package with a specific version number! PPA updates
+# don't even show changelog info.
+
+cat >debian/changelog <<EOF
+pithos ($VERSION) lucid; urgency=low
+
+  * Build from bzr r$REVNO
+
+ -- Kevin Mehall <km@kevinmehall.net>  $(date -R)
+EOF
+
+case $1 in
+signed)
+	debuild
+	;;
+upload)
+	debuild -S
+	dput -c ../dput.cf pithos-lucid "../pithos_${VERSION}_source.changes"
+	;;
+tgz)
+	NAME=pithos_$VERSIONBASE
+	FNAME=../release/${NAME}.tar
+	FNAME2=../release/${NAME}.tgz
+	bzr export $FNAME
+	tar -f $FNAME --delete $NAME/debian
+	gzip $FNAME
+	mv $FNAME.gz $FNAME2
+	gpg --sign $FNAME2
+	;;
+unsigned|*)
+	debuild -us -uc
+	;;
+esac

